<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:date="http://exslt.org/dates-and-times" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:rvctc2.02.12="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.12.data" xmlns:rvctc1.02.04="http://sbr.gov.au/icls/rvc/rvctc/rvctc1.02.04.data" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="CHTWTHHLD201308Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="facts" match="xbrli:xbrl/*[@contextRef and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),@contextRef)"/><xsl:key name="BENEfacts" match="xbrli:xbrl/*[@contextRef=$BENE.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'BENE')"/><xsl:key name="BENERESfacts" match="xbrli:xbrl/*[@contextRef=$BENERES.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'BENERES')"/><xsl:key name="BENEBUSfacts" match="xbrli:xbrl/*[@contextRef=$BENEBUS.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'BENEBUS')"/><xsl:key name="BENEPOSfacts" match="xbrli:xbrl/*[@contextRef=$BENEPOS.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'BENEPOS')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M36"/><xsl:apply-templates select="/" mode="M37"/><xsl:apply-templates select="/" mode="M38"/><xsl:apply-templates select="/" mode="M39"/><xsl:apply-templates select="/" mode="M40"/><xsl:apply-templates select="/" mode="M41"/><xsl:apply-templates select="/" mode="M42"/><xsl:apply-templates select="/" mode="M43"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN ContentContent Validations for the TD Declaration-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count($chtwthhldben23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0 or                     count($chtwthhldben32[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0 "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000034</isns:Code><isns:Description>Beneficiary family name or Beneficiary non-individual name must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           count($chtwthhldben23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0 and                           count($chtwthhldben32[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0)                        "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000035</isns:Code><isns:Description>Both Beneficiary family name and Benficiary non-individual name present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><isns:LongDescription>Beneficiary family name and Beneficiary non-individual name are both present. Only Beneficiary family name or Beneficiary non-individual name may be present.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            ($chtwthhldben39[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or                $chtwthhldben40[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or               $chtwthhldben41[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or               $chtwthhldben42[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or               $chtwthhldben43[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) and                              ((not($chtwthhldben39[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) and                not($chtwthhldben40[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])) or               not($chtwthhldben41[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) or               not($chtwthhldben42[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) or               not($chtwthhldben43[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000049</isns:Code><isns:Description>Beneficiary residential address details must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><isns:LongDescription>Beneficiary residential address details must be complete with Street name and number, Suburb/town, State, and Postcode.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                        not($chtwthhldben65[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) and                    not($chtwthhldben66[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) and                    (not($chtwthhldben61[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) or                      $chtwthhldben61[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] = 'au')                    )              "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000076</isns:Code><isns:Description>State and postcode are required for Australian addresses</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.StateOrTerritory.Code</xsl:text></Location><isns:LongDescription>State, postcode, or country are required in the Beneficiary postal address field.  Determine whether the address is Australian or overseas and correct accordingly.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            ($chtwthhldben60[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or                $chtwthhldben59[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or               $chtwthhldben69[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or               $chtwthhldben70[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or               $chtwthhldben71[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) and                              ((not($chtwthhldben60[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) and                not($chtwthhldben59[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])) or               not($chtwthhldben69[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) or               not($chtwthhldben70[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) or               not($chtwthhldben71[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000081</isns:Code><isns:Description>Beneficiary business address details must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><isns:LongDescription>Beneficiary business address details must be complete with street name and number, suburb/town, State, and postcode.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       count($chtwthhldben22[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0 and                       count($chtwthhldben23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000470</isns:Code><isns:Description>Title is provided without Family Name</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.Title.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(count($chtwthhldben24[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0 and                       count($chtwthhldben23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000471</isns:Code><isns:Description>First name is provided without Family name</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(count($chtwthhldben25[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0 and                       count($chtwthhldben23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000475</isns:Code><isns:Description>Other given name is provided without Family name</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.OtherGivenName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1014" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               not(function:ValidateTFN(.))             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000219</isns:Code><isns:Description>TFN must be a valid TFN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1013" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               not(function:ValidateABN(.))             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000477</isns:Code><isns:Description>ABN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1012" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               $chtwthhldben21 = 'I' and not($chtwthhldben23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000041</isns:Code><isns:Description>Beneficiary family name is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Individual entities must complete Beneficiary family name field.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               $chtwthhldben21 != 'I' and not($chtwthhldben32[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000042</isns:Code><isns:Description>Beneficiary non-individual name is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Non-individual entities must complete Beneficiary non-individual name field.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhldben32,'^(.*)(P/L)(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000414</isns:Code><isns:Description>Non Individual Name cannot contain "P/L"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches($chtwthhldben25,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches($chtwthhldben25,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches($chtwthhldben25,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches($chtwthhldben25,'^(Exec for|Rep for|Trustee for)$','i')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000449</isns:Code><isns:Description>Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       matches($chtwthhldben25,'^(MR |MRS |MISS |MS )(.*)$','i') or                       matches($chtwthhldben25,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                       matches($chtwthhldben25,'^(.*)( MR| MRS| MISS| MS)$','i') or                       matches($chtwthhldben25,'^(MR|MRS|MISS|MS)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000450</isns:Code><isns:Description>Other given name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        matches($chtwthhldben25,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                        matches($chtwthhldben25,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                        matches($chtwthhldben25,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                        matches($chtwthhldben25,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000448</isns:Code><isns:Description>Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           string-length($chtwthhldben25) != 0 and                           not($chtwthhldben24[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                                                )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000472</isns:Code><isns:Description>First name is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Other given name is provided without First name</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1009" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches($chtwthhldben23,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches($chtwthhldben23,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches($chtwthhldben23,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches($chtwthhldben23,'^(Exec for|Rep for|Trustee for)$','i')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000424</isns:Code><isns:Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                       matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                       matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                       matches(.,'^(MR|MRS|MISS|MS)$','i')                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000426</isns:Code><isns:Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                       matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                       matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                       matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000422</isns:Code><isns:Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1008" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                        matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                        matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                        matches(.,'^(MR|MRS|MISS|MS)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000438</isns:Code><isns:Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                         matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000436</isns:Code><isns:Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches($chtwthhldben24,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches($chtwthhldben24,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches($chtwthhldben24,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches($chtwthhldben24,'^(Exec for|Rep for|Trustee for)$','i')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000437</isns:Code><isns:Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1007" mode="M36"><xsl:variable name="ucName" select="upper-case(.)"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test=" $ucName = '2LT' or                     $ucName = 'AB' or                     $ucName = 'ABBOT' or                     $ucName = 'AC' or                     $ucName = 'ACM' or                     $ucName = 'ADM' or                     $ucName = 'AIR CDRE' or                     $ucName = 'ALDERMAN' or                     $ucName = 'AM' or                     $ucName = 'ARCHBISHOP' or                     $ucName = 'ARCHDEACON' or                     $ucName = 'ASSOC PROF' or                     $ucName = 'AVM' or                     $ucName = 'BARON' or                     $ucName = 'BARONESS' or                     $ucName = 'BISHOP' or                     $ucName = 'BR' or                     $ucName = 'BRIG' or                     $ucName = 'CANON' or                     $ucName = 'CAPT' or                     $ucName = 'CARDINAL' or                     $ucName = 'CDRE' or                     $ucName = 'CDT' or                     $ucName = 'CHAP' or                     $ucName = 'CMDR' or                     $ucName = 'CMM' or                     $ucName = 'COL' or                     $ucName = 'CONST' or                     $ucName = 'COUNT' or                     $ucName = 'COUNTESS' or                     $ucName = 'CPL' or                     $ucName = 'CPO' or                     $ucName = 'DAME' or                     $ucName = 'DEACON' or                     $ucName = 'DEACONESS' or                     $ucName = 'DEAN' or                     $ucName = 'DEPUTY SUPT' or                     $ucName = 'DR' or                     $ucName = 'DUCHESS' or                     $ucName = 'DUKE' or                     $ucName = 'EARL' or                     $ucName = 'EF' or                     $ucName = 'FLGOFF' or                     $ucName = 'FLT LT' or                     $ucName = 'FR' or                     $ucName = 'FSGT' or                     $ucName = 'GEN' or                     $ucName = 'GNR' or                     $ucName = 'GP CAPT' or                     $ucName = 'HON' or                     $ucName = 'HON JUDGE' or                     $ucName = 'HON JUST' or                     $ucName = 'HRH' or                     $ucName = 'INSP' or                     $ucName = 'JUDGE' or                     $ucName = 'JUST' or                     $ucName = 'LAC' or                     $ucName = 'LACW' or                     $ucName = 'LADY' or                     $ucName = 'LBDR' or                     $ucName = 'LCPL' or                     $ucName = 'LORD' or                     $ucName = 'LS' or                     $ucName = 'LT' or                     $ucName = 'LT CMDR' or                     $ucName = 'LT COL' or                     $ucName = 'LT GEN' or                     $ucName = 'MADAM' or                     $ucName = 'MAJ' or                     $ucName = 'MAJ GEN' or                     $ucName = 'MASTER' or                     $ucName = 'MATRON' or                     $ucName = 'MAYOR' or                     $ucName = 'MAYORESS' or                     $ucName = 'MIDN' or                     $ucName = 'MISS' or                     $ucName = 'MON' or                     $ucName = 'MOST REV' or                     $ucName = 'MR' or                     $ucName = 'MRS' or                     $ucName = 'MS' or                     $ucName = 'PASTOR' or                     $ucName = 'PATRIARCH' or                     $ucName = 'PLT OFF' or                     $ucName = 'PO' or                     $ucName = 'PRIOR' or                     $ucName = 'PROF' or                     $ucName = 'PTE' or                     $ucName = 'RABBI' or                     $ucName = 'RADM' or                     $ucName = 'RECTOR' or                     $ucName = 'REV' or                     $ucName = 'RF' or                     $ucName = 'RT HON' or                     $ucName = 'RT REV' or                     $ucName = 'RTREV BISHOP' or                     $ucName = 'RT REV MON' or                     $ucName = 'SBLT' or                     $ucName = 'SEN' or                     $ucName = 'SGT' or                     $ucName = 'SIR' or                     $ucName = 'SMN' or                     $ucName = 'SNR CONST' or                     $ucName = 'SQN LDR' or                     $ucName = 'SR' or                     $ucName = 'SSGT' or                     $ucName = 'SUPR' or                     $ucName = 'SWAMI' or                     $ucName = 'TF' or                     $ucName = 'VADM' or                     $ucName = 'VERY REV' or                     $ucName = 'VICAR' or                     $ucName = 'VISCOUNT' or                     $ucName = 'WG CDR' or                     $ucName = 'WO' or                     $ucName = 'WO1' or                     $ucName = 'WO2' "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000459</isns:Code><isns:Description>Title is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonDemographicDetails.Birth.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1006" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $BENE.ContextId and                         function:IsDate1GreaterThanDate2($chtwthhldben26, current-date())                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000046</isns:Code><isns:Description>Beneficiary date of birth must be less than or equal to today's date</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>The date entered is a future date. Beneficiary date of birth cannot be any day in the future.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1005" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000405</isns:Code><isns:Description>Address line 1 cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $BENERES.ContextId and                         (matches($chtwthhldben39,'^(po box |gpo box |Locked Bag |Private Bag )(.*)$','i') or                         matches($chtwthhldben39,'^(.*)( po box | gpo box | Locked Bag | Private Bag )(.*)$','i') or                         matches($chtwthhldben39,'^(.*)( po box| gpo box| Locked Bag| Private Bag)$','i') or                         matches($chtwthhldben39,'^(po box|gpo box|Locked Bag|Private Bag)$','i'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000052</isns:Code><isns:Description>Beneficiary residential address must be a physical location</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Beneficiary residential address must be a physical location. A post office box, locked bag or private bag for example are not acceptable.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $BENEBUS.ContextId and                         (matches($chtwthhldben60,'^(po box |gpo box |Locked Bag |Private Bag )(.*)$','i') or                         matches($chtwthhldben60,'^(.*)( po box | gpo box | Locked Bag | Private Bag )(.*)$','i') or                         matches($chtwthhldben60,'^(.*)( po box| gpo box| Locked Bag| Private Bag)$','i') or                         matches($chtwthhldben60,'^(po box|gpo box|Locked Bag|Private Bag)$','i'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000082</isns:Code><isns:Description>Beneficiary business address must be a physical location</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Beneficiary business address must be a physical location. A post office box, locked bag or private bag for example are not acceptable.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $BENEPOS.ContextId and                         (matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or                         matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or                         matches(.,'^(.*)( C/O| C/| Care Of)$','i') or                         matches(.,'^(C/O|C/|Care Of|CO)$','i'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000406</isns:Code><isns:Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            @contextRef = $BENEPOS.ContextId and                            matches(upper-case(.),'^(.*)(C/-)(.*)$') and                             not(count($chtwthhldben63[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0)                          )             "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428026</isns:Code><isns:Description>C/- must be followed by a Name and the Address on line 2</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000407</isns:Code><isns:Description>Address line 2 cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $BENERES.ContextId and                         (matches($chtwthhldben40,'^(po box |gpo box |Locked Bag |Private Bag )(.*)$','i') or                         matches($chtwthhldben40,'^(.*)( po box | gpo box | Locked Bag | Private Bag )(.*)$','i') or                         matches($chtwthhldben40,'^(.*)( po box| gpo box| Locked Bag| Private Bag)$','i') or                         matches($chtwthhldben40,'^(po box|gpo box|Locked Bag|Private Bag)$','i'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000053</isns:Code><isns:Description>Beneficiary residential address must be a physical location</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Beneficiary residential address must be a physical location. A post office box, locked bag or private bag for example are not acceptable.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $BENEBUS.ContextId and                         (matches($chtwthhldben59,'^(po box |gpo box |Locked Bag |Private Bag )(.*)$','i') or                         matches($chtwthhldben59,'^(.*)( po box | gpo box | Locked Bag | Private Bag )(.*)$','i') or                         matches($chtwthhldben59,'^(.*)( po box| gpo box| Locked Bag| Private Bag)$','i') or                         matches($chtwthhldben59,'^(po box|gpo box|Locked Bag|Private Bag)$','i'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000083</isns:Code><isns:Description>Beneficiary business address must be a physical location</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Beneficiary business address must be a physical location. A post office box, locked bag or private bag for example are not acceptable.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or                     matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or                     matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or                     matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000408</isns:Code><isns:Description>'Care of' is not valid for address line 2</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000409</isns:Code><isns:Description>Suburb/Town/City cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              @contextRef = $BENERES.ContextId and              matches($chtwthhldben41,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)', 'i')              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000411</isns:Code><isns:Description>Suburb/Town/City cannot contain state code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              @contextRef = $BENEBUS.ContextId and              matches($chtwthhldben69,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)', 'i')              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000411</isns:Code><isns:Description>Suburb/Town/City cannot contain state code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              @contextRef = $BENEPOS.ContextId and              ((count($chtwthhldben61[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0              or $chtwthhldben61[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] = 'au') and              matches($chtwthhldben64,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)', 'i'))              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000411</isns:Code><isns:Description>Suburb/Town/City cannot contain state code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                    @contextRef = $BENEPOS.ContextId and                    $chtwthhldben65[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] and                    not($chtwthhldben66[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ])                    )              "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410055</isns:Code><isns:Description>Postcode must be present if State is present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428036</isns:Code><isns:Description>Invalid State code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>The State code in the Current address is not Valid (Valid States are "QLD", "NSW", "VIC", "SA", "WA", "NT", "ACT", "TAS")</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                    @contextRef = $BENEPOS.ContextId and                    not($chtwthhldben65[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) and                    $chtwthhldben66[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]                    )              "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410017</isns:Code><isns:Description>State must be present if Postcode is present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>If the address is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.08:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $BENERES.ContextId and                         $chtwthhldben29 != 'au'                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000480</isns:Code><isns:Description>Country code must be blank or set to Australia</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $BENEBUS.ContextId and                         $chtwthhldben30 != 'au'                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000480</isns:Code><isns:Description>Country code must be blank or set to Australia</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                    @contextRef = $BENEPOS.ContextId and                    ($chtwthhldben65[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] or                    $chtwthhldben66[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) and                    $chtwthhldben61[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] != 'au'                    )              "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000073</isns:Code><isns:Description>State and postcode must not be present for non-Australian addresses</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Country name is present with State or postcode in the Beneficiary postal address field.  Determine whether the address is Australian or overseas and correct accordingly.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template><xsl:template match="text()" priority="-1" mode="M36"/><xsl:template match="@*|node()" priority="-2" mode="M36"><xsl:apply-templates select="*" mode="M36"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the TD services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $BENE.Context                       and                       (                                              xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $BENE.ContextId]/xbrli:entity/xbrli:identifier !=                        xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $BENEPOS.ContextId]/xbrli:entity/xbrli:identifier or                                     xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $BENE.ContextId]/xbrli:entity/xbrli:identifier !=                        xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $BENEBUS.ContextId]/xbrli:entity/xbrli:identifier or                                     xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $BENE.ContextId]/xbrli:entity/xbrli:identifier !=                        xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $BENERES.ContextId]/xbrli:entity/xbrli:identifier                                              )                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000202</isns:Code><isns:Description>Invalid context. Beneficiary entity id's mismatch.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $BENE.Context                           and                            not(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $BENE.ContextId]/xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.SBR.GOV.AU/ID'])                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000220</isns:Code><isns:Description>Entity identifier scheme for Beneficiary must be "http://www.sbr.gov.au/id"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $BENERES.Context                           and                            not(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $BENERES.ContextId]/xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.SBR.GOV.AU/ID'])                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000221</isns:Code><isns:Description>Entity identifier scheme for Beneficiary.Residential must be "http://www.sbr.gov.au/id"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $BENEBUS.Context                           and                            not(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $BENEBUS.ContextId]/xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.SBR.GOV.AU/ID'])                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000222</isns:Code><isns:Description>Entity identifier scheme for Beneficiary.Business must be "http://www.sbr.gov.au/id"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $BENEPOS.Context                           and                            not(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $BENEPOS.ContextId]/xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.SBR.GOV.AU/ID'])                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000223</isns:Code><isns:Description>Entity identifier scheme for Beneficiary.Postal must be "http://www.sbr.gov.au/id"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($BENE.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000224</isns:Code><isns:Description>Invalid context. The number of Beneficiary contexts must equal 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($BENEPOS.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000227</isns:Code><isns:Description>Invalid context. The number of Beneficiary.Postal contexts must equal 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template><xsl:template match="text()" priority="-1" mode="M37"/><xsl:template match="@*|node()" priority="-2" mode="M37"><xsl:apply-templates select="*" mode="M37"/></xsl:template>

<!--
                PATTERN ContentContent Validations for the TD Declaration-->


	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1006" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(string-length($chtwthhldben23) &gt; 30)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000032</isns:Code><isns:Description>Beneficiary family name must not exceed 30 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For the Beneficiary family name, the maximum allowable characters for this form is 30</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1005" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(string-length($chtwthhldben24) &gt; 15)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000019</isns:Code><isns:Description>Beneficiary first name must not exceed 15 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For the Beneficiary first name, the maximum allowable characters for this form is 15</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(string-length($chtwthhldben32) &gt; 76)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000029</isns:Code><isns:Description>Beneficiary non-individual name must not exceed 76 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For the Beneficiary non-individual name, the maximum allowable characters for this form is 76</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(string-length($chtwthhldben25) &gt; 30)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000055</isns:Code><isns:Description>Beneficiary other given names must not exceed 30 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For the Beneficiary other given names, the maximum allowable characters for this form is 30</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(string-length(.) &gt; 38)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000203</isns:Code><isns:Description>Each Beneficiary street name and number field must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For each Beneficiary street name and number field, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(string-length(.) &gt; 38)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000218</isns:Code><isns:Description>Each Beneficiary street name and number field must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For each Beneficiary street name and number field, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(string-length(.) &gt; 27)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000030</isns:Code><isns:Description>Beneficiary suburb/town must not exceed 27 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For each Beneficiary suburb/town field, the maximum allowable characters for this form is 27</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template><xsl:template match="text()" priority="-1" mode="M38"/><xsl:template match="@*|node()" priority="-2" mode="M38"><xsl:apply-templates select="*" mode="M38"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhldben32,'[{}|_\\]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000208</isns:Code><isns:Description>Beneficiary non-individual name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = ; : ' " , . ? / # or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhldben23,'[{}|_\\#]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000205</isns:Code><isns:Description>Beneficiary family name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhldben24,'[{}|_\\#]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000206</isns:Code><isns:Description>Beneficiary first name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhldben25,'[{}|_\\#]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000207</isns:Code><isns:Description>Beneficiary other given names contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.OtherGivenName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1007" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches($chtwthhldben32,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000025</isns:Code><isns:Description>Beneficiary non-individual name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhldben32,'^(.*) - (.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000413</isns:Code><isns:Description>Non Individual Name cannot contain space hyphen space combinations</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhldben32,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000416</isns:Code><isns:Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1006" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410040</isns:Code><isns:Description>Family name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000423</isns:Code><isns:Description>Family Name cannot contain "space hyphen space"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000427</isns:Code><isns:Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1005" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410063</isns:Code><isns:Description>Given Name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000434</isns:Code><isns:Description>First name cannot contain space hyphen space</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000439</isns:Code><isns:Description>First name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410131</isns:Code><isns:Description>Other Given Name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000446</isns:Code><isns:Description>Other given name cannot contain space hyphen space</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000451</isns:Code><isns:Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000209</isns:Code><isns:Description>Beneficiary street name and number contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000210</isns:Code><isns:Description>Beneficiary street name and number contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       @contextRef = $BENERES.ContextId and                       matches($chtwthhldben41,'^(.*)[0-9](.*)$')                       )                         "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000410</isns:Code><isns:Description>Suburb/Town/City cannot contain numeric characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       @contextRef = $BENEBUS.ContextId and                       matches($chtwthhldben69,'^(.*)[0-9](.*)$')                       )                         "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000410</isns:Code><isns:Description>Suburb/Town/City cannot contain numeric characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       @contextRef = $BENEPOS.ContextId and                       ((count($chtwthhldben61[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0                        or $chtwthhldben61[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] = 'au') and                            matches($chtwthhldben64,'^(.*)[0-9](.*)$'))                       )                         "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000410</isns:Code><isns:Description>Suburb/Town/City cannot contain numeric characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000211</isns:Code><isns:Description>Beneficiary suburb/town contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(.) = 0 or matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428041</isns:Code><isns:Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template><xsl:template match="text()" priority="-1" mode="M39"/><xsl:template match="@*|node()" priority="-2" mode="M39"><xsl:apply-templates select="*" mode="M39"/></xsl:template>

<!--
                PATTERN ContentContent Validations for the TD Declaration-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               not($chtwthhldben21[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000023</isns:Code><isns:Description>Beneficiary entity type is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code</xsl:text></Location><isns:LongDescription>The valid values for the Beneficiary entity type are:  'I' - Individual, 'T' - Trust, 'C' - Company, 'P' - Partnership, 'F' - Fund, 'S' - SMSF</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               not($chtwthhldben62[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410214</isns:Code><isns:Description>Address Line 1 must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               not($chtwthhldben64[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430245</isns:Code><isns:Description>Suburb/Town/City must be present in an address</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template><xsl:template match="text()" priority="-1" mode="M40"/><xsl:template match="@*|node()" priority="-2" mode="M40"><xsl:apply-templates select="*" mode="M40"/></xsl:template>

<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the TD services.-->
<xsl:variable name="CHILDFORM" select="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/chtwthhldben/chtwthhldben_0001/chtwthhldben.0001.lodge.request.02.00.report.xsd']]"/><xsl:variable name="BENE.Context" select="$CHILDFORM/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                        xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:Beneficiary$')                                                                          ]                                     ]"/><xsl:variable name="BENE.ContextId" select="$BENE.Context/@id"/><xsl:variable name="BENEPOS.Context" select="$CHILDFORM/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[                                                       count(./xbrldi:explicitMember) = 2                                                        and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^AddUsgDim\.\d{2}\.\d{2}:AddressUsageDimension$')                                                           and                                                            matches(.,'^AddUsgDim\.\d{2}\.\d{2}:POS$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:Beneficiary$')                                                                                      ]                                                    ]                                     ]"/><xsl:variable name="BENEPOS.ContextId" select="$BENEPOS.Context/@id"/><xsl:variable name="BENERES.Context" select="$CHILDFORM/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[                                                       count(./xbrldi:explicitMember) = 2 and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^AddUsgDim\.\d{2}\.\d{2}:AddressUsageDimension$')                                                           and                                                            matches(.,'^AddUsgDim\.\d{2}\.\d{2}:RES$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:Beneficiary$')                                                                                      ]                                                    ]                                     ]"/><xsl:variable name="BENERES.ContextId" select="$BENERES.Context/@id"/><xsl:variable name="BENEBUS.Context" select="$CHILDFORM/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[                                                       count(./xbrldi:explicitMember) = 2 and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^AddUsgDim\.\d{2}\.\d{2}:AddressUsageDimension$')                                                           and                                                            matches(.,'^AddUsgDim\.\d{2}\.\d{2}:BUS$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:Beneficiary$')                                                                                      ]                                                    ]                                     ]"/><xsl:variable name="BENEBUS.ContextId" select="$BENEBUS.Context/@id"/><xsl:variable name="currentContextIdBEN" select="xbrli:xbrl/xbrli:context/@id"/><xsl:variable name="chtwthhldben21" select="key('BENEfacts', concat('IncomeTax.BeneficiaryEntityType.Code', 'BENE'))"/><xsl:variable name="chtwthhldben22" select="key('BENEfacts', concat('PersonNameDetails.Title.Text', 'BENE'))"/><xsl:variable name="chtwthhldben23" select="key('BENEfacts', concat('PersonNameDetails.FamilyName.Text', 'BENE'))"/><xsl:variable name="chtwthhldben24" select="key('BENEfacts', concat('PersonNameDetails.GivenName.Text', 'BENE'))"/><xsl:variable name="chtwthhldben25" select="key('BENEfacts', concat('PersonNameDetails.OtherGivenName.Text', 'BENE'))"/><xsl:variable name="chtwthhldben26" select="key('BENEfacts', concat('PersonDemographicDetails.Birth.Date', 'BENE'))"/><xsl:variable name="chtwthhldben32" select="key('BENEfacts', concat('OrganisationNameDetails.OrganisationalName.Text', 'BENE'))"/><xsl:variable name="chtwthhldben29" select="key('BENERESfacts', concat('AddressDetails.Country.Code', 'BENERES'))"/><xsl:variable name="chtwthhldben30" select="key('BENEBUSfacts', concat('AddressDetails.Country.Code', 'BENEBUS'))"/><xsl:variable name="chtwthhldben39" select="key('BENERESfacts', concat('AddressDetails.Line1.Text', 'BENERES'))"/><xsl:variable name="chtwthhldben40" select="key('BENERESfacts', concat('AddressDetails.Line2.Text', 'BENERES'))"/><xsl:variable name="chtwthhldben41" select="key('BENERESfacts', concat('AddressDetails.LocalityName.Text', 'BENERES'))"/><xsl:variable name="chtwthhldben42" select="key('BENERESfacts', concat('AddressDetails.StateOrTerritory.Code', 'BENERES'))"/><xsl:variable name="chtwthhldben43" select="key('BENERESfacts', concat('AddressDetails.Postcode.Text', 'BENERES'))"/><xsl:variable name="chtwthhldben45" select="key('BENEfacts', concat('IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount', 'BENE'))"/><xsl:variable name="chtwthhldben46" select="key('BENEfacts', concat('IncomeTax.PayAsYouGoWithholding.PaymentGross.Amount', 'BENE'))"/><xsl:variable name="chtwthhldben52" select="key('BENEfacts', concat('Identifiers.TaxFileNumber.Identifier', 'BENE'))"/><xsl:variable name="chtwthhldben59" select="key('BENEBUSfacts', concat('AddressDetails.Line2.Text', 'BENEBUS'))"/><xsl:variable name="chtwthhldben60" select="key('BENEBUSfacts', concat('AddressDetails.Line1.Text', 'BENEBUS'))"/><xsl:variable name="chtwthhldben61" select="key('BENEPOSfacts', concat('AddressDetails.Country.Code', 'BENEPOS'))"/><xsl:variable name="chtwthhldben62" select="key('BENEPOSfacts', concat('AddressDetails.Line1.Text', 'BENEPOS'))"/><xsl:variable name="chtwthhldben63" select="key('BENEPOSfacts', concat('AddressDetails.Line2.Text', 'BENEPOS'))"/><xsl:variable name="chtwthhldben64" select="key('BENEPOSfacts', concat('AddressDetails.LocalityName.Text', 'BENEPOS'))"/><xsl:variable name="chtwthhldben65" select="key('BENEPOSfacts', concat('AddressDetails.StateOrTerritory.Code', 'BENEPOS'))"/><xsl:variable name="chtwthhldben66" select="key('BENEPOSfacts', concat('AddressDetails.Postcode.Text', 'BENEPOS'))"/><xsl:variable name="chtwthhldben69" select="key('BENEBUSfacts', concat('AddressDetails.LocalityName.Text', 'BENEBUS'))"/><xsl:variable name="chtwthhldben70" select="key('BENEBUSfacts', concat('AddressDetails.StateOrTerritory.Code', 'BENEBUS'))"/><xsl:variable name="chtwthhldben71" select="key('BENEBUSfacts', concat('AddressDetails.Postcode.Text', 'BENEBUS'))"/><xsl:template match="text()" priority="-1" mode="M41"/><xsl:template match="@*|node()" priority="-2" mode="M41"><xsl:apply-templates select="*" mode="M41"/></xsl:template>

<!--
                PATTERN ContentContent Validations for the TD Declaration-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M42">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               $chtwthhldben45[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or $chtwthhldben46[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000048</isns:Code><isns:Description>Amount withheld and Amount of payments for the beneficiary must not be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.12:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</xsl:text></Location><isns:LongDescription>Amount withheld and Amount of payments for the beneficiary must not be present for the TFN report.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M42"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="rvctc1.02.04:IncomeTax.BeneficiaryEntityType.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M42">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               $chtwthhldben21 = 'I' and not($chtwthhldben39[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000043</isns:Code><isns:Description>Beneficiary residential address is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Beneficiary Residential Street name and number (line 1) must be present for individual beneficiaries for the TFN report.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               $chtwthhldben21 != 'I' and not($chtwthhldben60[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000044</isns:Code><isns:Description>Beneficiary non-individual address is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Beneficiary Business Street name and number (line 1) must be present for non-individual beneficiaries for the TFN report.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               $chtwthhldben21 = 'I' and not($chtwthhldben26[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000045</isns:Code><isns:Description>Beneficiary date of birth is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Beneficiary date of birth must be present for individual entities for the TFN report. </isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M42"/></xsl:template><xsl:template match="text()" priority="-1" mode="M42"/><xsl:template match="@*|node()" priority="-2" mode="M42"><xsl:apply-templates select="*" mode="M42"/></xsl:template>

<!--
                PATTERN ContentContent Validations for the TD Declaration-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M43">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(               not($chtwthhldben52[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLDBEN.000038</isns:Code><isns:Description>Beneficiary tax file number is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></Location><isns:LongDescription>For the TFN report, the Beneficiary tax file number must be present.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M43"/></xsl:template><xsl:template match="text()" priority="-1" mode="M43"/><xsl:template match="@*|node()" priority="-2" mode="M43"><xsl:apply-templates select="*" mode="M43"/></xsl:template></xsl:stylesheet>