﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Context" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Rule validations for contexts that are applicable across all of the DIS services.</title>

    <!-- CONTEXT VALIDATIONS -->

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">


        <!--
            Rule ID: VR.ATO.GEN.000199
        
            IF (period.startDate = NULLORBLANK WHERE CONTEXT(ALL))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <!--<assert  id="VR.ATO.GEN.000199" diagnostics="DVR.ATO.GEN.000199" subject="xbrli:context/xbrli:period/xbrli:startDate" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:startDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"/>-->
        <!--
            Rule ID: VR.ATO.GEN.000237 
        
            IF period.endDate = NULLORBLANK WHERE CONTEXT(ALL)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <!--<assert  id="VR.ATO.GEN.000237" diagnostics="DVR.ATO.GEN.000237" subject="xbrli:context/xbrli:period/xbrli:endDate" test="count(xbrli:context[not(@i:nil='true' or @i:nil='1')]) = count(xbrli:context/xbrli:period/xbrli:endDate[string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])"/>-->
        <!--
            Rule ID: VR.ATO.GEN.000240
        
            IF context id = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <!--<assert  id="VR.ATO.GEN.000240" diagnostics="DVR.ATO.GEN.000240" subject="xbrli:context" test="count(xbrli:context[(count(@id) = 0 or string-length(normalize-space(@id)) = 0) and not(@i:nil='true' or @i:nil='1')]) = 0"/>-->
        <!--
            Rule ID: VR.ATO.GEN.001019
        
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension <> RprtPyType.xx.xx:ReportingParty)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <!--<assert  id="VR.ATO.GEN.001019" diagnostics="DVR.ATO.GEN.001019" subject="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[contains(@dimension,'ReportPartyTypeDimension') and not(contains(.,'ReportingParty'))]) = 0"/>-->
        <!--
            Rule ID: VR.ATO.DIS.406000
        
            IF (AssblFrgnIncClass.xx.xx <> SET(AssblFrgnIncClass.xx.xx:ConduitForeignIncome,AssblFrgnIncClass.xx.xx:NonConduitForeignIncome))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <assert  id="VR.ATO.DIS.406000" diagnostics="DVR.ATO.DIS.406000" subject="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember" test="count(xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember[contains(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and not(contains(., 'ConduitForeignIncome')) and not(contains(., 'NonConduitForeignIncome'))]) = 0"/>
        <!--
            Rule ID: VR.ATO.DIS.406037
        
            IF (COUNT(INT) > 1)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <!--<assert  id="VR.ATO.DIS.406037" diagnostics="DVR.ATO.DIS.406037" subject="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember" 
         test="not(
         count(xbrli:context[@id=$Int.ContextId]) &gt; 1
         )"/>-->

        <!--
            Rule ID: VR.ATO.GEN.000209
        
            IF (COUNT(RP) <> 1)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.000209" diagnostics="DVR.ATO.GEN.000209" subject="xbrli:context/xbrli:entity/xbrli:segment/xbrldi:explicitMember"
                 test="not(
         count(xbrli:context[@id=$RP.ContextId]) != 1
         )"/>

        <!--
            Rule ID: VR.ATO.DIS.406024
        
            IF (COUNT(RP.CFI) > 1)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
        <assert  id="VR.ATO.DIS.406024" diagnostics="DVR.ATO.DIS.406024" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.CFI.ContextId]) &gt; 1)"/>
        <!--
            Rule ID: VR.ATO.DIS.406025
        
            IF (COUNT(RP.NONCFI) > 1)
            RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <assert  id="VR.ATO.DIS.406025" diagnostics="DVR.ATO.DIS.406025" subject="xbrli:context" test="not(count(xbrli:context[@id=$RP.NONCFI.ContextId]) &gt; 1)"/>
    </rule>

    <rule context="xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.GEN.001020
        
            IF entity.identifier = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <!--<assert  id="VR.ATO.GEN.001020" diagnostics="DVR.ATO.GEN.001020.0" subject="xbrli:identifier" test="string-length(normalize-space(xbrli:identifier)) &gt; 0"/>-->
        <!--
            Rule ID: VR.ATO.GEN.001021
        
            IF Identifier Scheme <> "http://www.ato.gov.au/tfn"
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <!--<assert  id="VR.ATO.GEN.001021" diagnostics="DVR.ATO.GEN.001021.0" subject="xbrli:identifier" test="not(normalize-space(xbrli:identifier[lower-case(@scheme) != 'http://www.ato.gov.au/tfn']))"/>-->
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.GEN.438029
        
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = “RprtPyType.xx.xx:ReportingParty”) AND (entity.identifier.scheme <> "http://www.ato.gov.au/tfn")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <assert  id="VR.ATO.GEN.438029" diagnostics="DVR.ATO.GEN.438029" subject="xbrli:identifier" test="not(
                            xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                            xbrli:segment[not(@i:nil='true' or @i:nil='1')]/
                            xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]
                        )
                        or
                        xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/tfn' and not(@i:nil='true' or @i:nil='1')]"/>

        <!--
            IF (RprtPyType.xx.xx:ReportPartyTypeDimension = “RprtPyType.xx.xx:Intermediary”) 
            AND (entity.identifier.scheme <> “http://www.ato.gov.au/abn”)
            RETURN VALIDATION MESSAGE
            ENDIF
            VR.ATO.GEN.438030	CMN.ATO.GEN.438030
        -->
        <assert id="VR.ATO.GEN.438030" diagnostics="DVR.ATO.GEN.438030" 
                test="not(
                        @id=$Int.ContextId
                        and 
                        not(xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[@scheme='http://www.ato.gov.au/abn' and not(@i:nil='true' or @i:nil='1')])
                    )"/>

    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]">
        <!--
            Rule ID: VR.ATO.DIS.406029
        
            IF (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier <> NULLORBLANK) AND (TFNALGORITHM (pyid.xx.xx:Identifiers.TaxFileNumber.Identifier) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


        <!--<assert  id="VR.ATO.DIS.406029" diagnostics="DVR.ATO.DIS.406029" subject="pyid.02.00:Identifiers.TaxFileNumber.Identifier" test="not(../../@id = $RP.ContextId) or not(upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN') or string-length(normalize-space(.)) = 0 or function:ValidateTFN(.)"/>-->
    </rule>
</pattern>