﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL element variables that are applicable accross the SMSFAR service.</title>

<!--
<let name="CGTS45" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.ScriptForScriptRolloverDeferred.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CGTS47" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.DemergingEntityExemption.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CGTS124" value="xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Collectables.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CGTS125" value="xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.CGTOther.Unapplied.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CGTS127" value="xbrli:xbrl/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessActiveAssetReduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CGTS128" value="xbrli:xbrl/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRetirementExemption.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CGTS129" value="xbrli:xbrl/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessRollover.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CGTS131" value="xbrli:xbrl/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CGTS138" value="xbrli:xbrl/gfagc.02.01:TaxConcession.CapitalGains.SmallBusinessExemptionExempt.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CGTS140" value="xbrli:xbrl/rvctc3.02.11:Capital.Gains.ForeignResidentExemption.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="IEE50" value="xbrli:xbrl/iee.0002.lodge.req.xx.xx:FamilyTrust[not(@i:nil='true' or @i:nil='1')]/pyid.xx.xx:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="IEE82" value="xbrli:xbrl/rvctc3.xx.xx:Elections.Revocation.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="IEE116" value="xbrli:xbrl/rvctc3.xx.xx:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS50" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS52" value="xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="NIPSS3" value="xbrli:xbrl/nipss.0001.lodge.req.xx.xx:Payer[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.xx.xx:PAYGWithholding[not(@i:nil='true' or @i:nil='1')]/rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.ContextId !START_WHERE! and TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DFRW' !END_WHERE! and not(@i:nil='true' or @i:nil='1')]" />
<let name="NIPSS4" value="xbrli:xbrl/nipss.0001.lodge.req.xx.xx:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.xx.xx:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="NIPSS9" value="xbrli:xbrl/nipss.0001.lodge.req.xx.xx:Payer[not(@i:nil='true' or @i:nil='1')]/lrla.xx.xx:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="NIPSS28" value="xbrli:xbrl/nipss.0001.lodge.req.xx.xx:Payer[not(@i:nil='true' or @i:nil='1')]/nipss.0001.lodge.req.xx.xx:PAYGWithholding[not(@i:nil='true' or @i:nil='1')]/rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.ContextId !START_WHERE! and TUPLE ELEMENT EXPLICIT rvctc2.xx.xx:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN' !END_WHERE! and not(@i:nil='true' or @i:nil='1')]" />
-->
<let name="SMSFAR1" value="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR4" value="xbrli:xbrl/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR6" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR11" value="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$Auditor.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR18" value="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$Auditor.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR19" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$Auditor.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR23" value="xbrli:xbrl/emfsm.02.00:AuditorReport.Signature.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR24" value="xbrli:xbrl/emfsm.02.07:AuditorReport.OpinionQualified.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR25" value="xbrli:xbrl/emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR26" value="xbrli:xbrl/emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR27" value="xbrli:xbrl/emsup.02.09:SuperannuationFundDetails.FundAcceptGovernmentContributions.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR28" value="xbrli:xbrl/pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR29" value="xbrli:xbrl/pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR30" value="xbrli:xbrl/emsup.02.00:SuperannuationFundDetails.TaxObligationsMet.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR31" value="xbrli:xbrl/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR33" value="xbrli:xbrl/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR34" value="xbrli:xbrl/bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR35" value="xbrli:xbrl/bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR36" value="xbrli:xbrl/bafpr1.02.23:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR37" value="xbrli:xbrl/bafpr1.02.04:Income.Gross.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR38" value="xbrli:xbrl/bafpr1.02.23:Income.Net.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR39" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR40" value="xbrli:xbrl/bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR41" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR42" value="xbrli:xbrl/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR43" value="xbrli:xbrl/bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR44" value="xbrli:xbrl/bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR45" value="xbrli:xbrl/bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR46" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR47" value="xbrli:xbrl/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR48" value="xbrli:xbrl/pyde.02.05:Party.TrustType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR49" value="xbrli:xbrl/emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR50" value="xbrli:xbrl/emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR51" value="xbrli:xbrl/emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR52" value="xbrli:xbrl/emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR53" value="xbrli:xbrl/bafpr1.02.04:Income.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR54" value="xbrli:xbrl/bafpr1.02.27:Income.Other.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR55" value="xbrli:xbrl/bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR56" value="xbrli:xbrl/bafpr1.02.04:Income.NonArmsLengthPrivateCompanyDividendsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR57" value="xbrli:xbrl/bafpr1.02.04:Income.NonArmsLengthTrustDistributionsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR58" value="xbrli:xbrl/bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR60" value="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.Deductible.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR61" value="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.Deductible.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR62" value="xbrli:xbrl/bafpr1.02.15:Expense.CapitalWorks.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR63" value="xbrli:xbrl/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR64" value="xbrli:xbrl/bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR65" value="xbrli:xbrl/bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR66" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.ApprovedAuditorFee.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR67" value="xbrli:xbrl/bafpr1.02.16:Expense.Investment.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR69" value="xbrli:xbrl/bafpr1.02.15:Expense.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR70" value="xbrli:xbrl/bafpr1.02.00:Expense.Other.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR71" value="xbrli:xbrl/bafpr1.02.27:Expense.Other.Code[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR72" value="xbrli:xbrl/rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR73" value="xbrli:xbrl/bafpr1.02.23:Income.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR74" value="xbrli:xbrl/rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR75" value="xbrli:xbrl/bafpr3.02.18:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR76" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR77" value="xbrli:xbrl/rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR78" value="xbrli:xbrl/bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR79" value="xbrli:xbrl/rvctc2.02.13:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR80" value="xbrli:xbrl/rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR81" value="xbrli:xbrl/rvctc2.02.02:IncomeTax.FrankingCredits.Refundable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR82" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR83" value="xbrli:xbrl/rvctc1.02.00:IncomeTax.SupervisoryLevy.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR84" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR85" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<!--SMSFAR86 has been deleted
<let name="SMSFAR86" value="xbrli:xbrl/rvctc3.02.03:CapitalGainsTax.CapitalLossesCarriedForwardNet.Amount[@contextRef=$RPI.Y0Plus.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />-->
<let name="SMSFAR95" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonDemographicDetails.Death.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR117" value="xbrli:xbrl/bafpo7.02.00:Assets.Investment.UnitTrustsListed.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR118" value="xbrli:xbrl/bafpo7.02.00:Assets.Investment.UnitTrustsUnlisted.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR119" value="xbrli:xbrl/bafpo7.02.10:Assets.Investment.SecuritiesAndOrInsurancePoliciesHeldInLifeCompanies.Amount[@contextRef=$RPI.Closing.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR120" value="xbrli:xbrl/bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef=$RPI.Closing.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR121" value="xbrli:xbrl/bafpo7.02.04:Assets.CashAndLiquidAssets.Total.Amount[@contextRef=$RPI.Closing.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR122" value="xbrli:xbrl/bafpo1.02.00:Assets.DebtSecurities.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR123" value="xbrli:xbrl/bafpo5.02.03:Assets.LoansAndReceivables.Held.Amount[@contextRef=$RPI.Closing.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR124" value="xbrli:xbrl/bafpo7.02.00:Assets.Investment.EquitySecuritiesListed.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR125" value="xbrli:xbrl/bafpo7.02.00:Assets.Investment.EquitySecuritiesUnlisted.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR127" value="xbrli:xbrl/bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR128" value="xbrli:xbrl/bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR130" value="xbrli:xbrl/bafpo1.02.18:Assets.Other.Amount[@contextRef=$RPI.Closing.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR131" value="xbrli:xbrl/bafpo7.02.00:Assets.Investment.EquitySecurities.Amount[@contextRef=$RPI.Closing.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR132" value="xbrli:xbrl/bafpo7.02.00:Assets.Investment.PropertyNonResidential.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR133" value="xbrli:xbrl/bafpo7.02.00:Assets.Investment.PropertyResidential.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR134" value="xbrli:xbrl/bafpo1.02.04:Assets.ManagedInvestments.Amount[@contextRef=$RPI.Closing.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR135" value="xbrli:xbrl/bafpo1.02.18:Assets.Other.Amount[@contextRef=$RPI.Closing.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR136" value="xbrli:xbrl/bafpo1.02.00:Liabilities.Borrowings.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR137" value="xbrli:xbrl/bafpo1.02.00:Equity.MemberAccountBalance.Amount[@contextRef=$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR138" value="xbrli:xbrl/bafpo1.02.04:Equity.NetAssetsNotAllocatedToMembers.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR139" value="xbrli:xbrl/bafpo1.02.18:Liabilities.Other.Amount[@contextRef=$RPI.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR162" value="xbrli:xbrl/rvctc3.02.00:Elections.FamilyTrustElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR163" value="xbrli:xbrl/rvctc3.02.03:Elections.FamilyTrustElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR164" value="xbrli:xbrl/rvctc3.02.00:Elections.InterSuperannuationContribution.PersonalContributions.AmountposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR165" value="xbrli:xbrl/rvctc3.02.00:Elections.InterposedEntityElectionRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR174" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:TrusteeOrDirector[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR175" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:TrusteeOrDirector[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR178" value="xbrli:xbrl/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$INT.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Contact' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR184" value="xbrli:xbrl/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03'and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR195" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Report.ItemOrder.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR197" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Identifier' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR199" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Identifier' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR200" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'Identifier' and ../pyde.02.00:PersonNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR201" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR202" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR203" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR205" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.08:SuperannuationContribution.PersonalContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR206" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.CapitalGainsTaxSmallBusinessRetirementExemption.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR207" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.CapitalGainsTaxSmallBusinessExemption.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR208" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.03:SuperannuationContribution.PersonalInjuryElection.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR209" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.SpouseAndChildContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR210" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.08:SuperannuationContribution.OtherThirdPartyContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR212" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR213" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.ForeignSuperannuationFundNonAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR214" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.TransferFromReserveAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR215" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.TransferFromReserveNonAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR216" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.TotalOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR217" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.MemberTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR218" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationContribution.MemberAllocatedEarningsOrLosses.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR219" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationRollover.Received.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR220" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationRollover.Paid.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR223" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.01:SuperannuationBenefit.AccountBalance.Amount[@contextRef=$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR225" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR226" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR227" value="xbrli:xbrl/rvctc1.02.03:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR228" value="xbrli:xbrl/bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR230" value="xbrli:xbrl/bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR232" value="xbrli:xbrl/rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR233" value="xbrli:xbrl/bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR270" value="xbrli:xbrl/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef=$INT.ContextId and ../pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR281" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$RP.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR286" value="xbrli:xbrl/address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef=$Auditor.ContextId and ../pyde.02.01:AddressDetails.Usage.Code = 'POS' and ../pyde.02.00:AddressDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR298" value="xbrli:xbrl/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrust.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR301" value="xbrli:xbrl/gfagc.02.09:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR302" value="xbrli:xbrl/bafpr2.02.05:Expense.Operating.GeneralManagementAndAdministrationFees.Amount[@contextRef=$RP.Deductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR304" value="xbrli:xbrl/rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR305" value="xbrli:xbrl/rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR306" value="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR307" value="xbrli:xbrl/rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR308" value="xbrli:xbrl/rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR309" value="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR310" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.06:SuperannuationContribution.NonComplyingFundsAndPreviouslyNonComplyingFunds.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR311" value="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR312" value="xbrli:xbrl/bafpo7.02.09:Assets.Investment.Collectables.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR315" value="xbrli:xbrl/rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR316" value="xbrli:xbrl/rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR320" value="xbrli:xbrl/emfsm.02.09:AuditorReport.QualificationsRectified.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR321" value="xbrli:xbrl/emsup.02.09:SuperannuationFundDetails.IncomeStreamPaid.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR322" value="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.AustResidentialRealProperty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR323" value="xbrli:xbrl/gfagc.02.07:TaxConcession.PensionIncomeExemptCalculationMethod.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR324" value="xbrli:xbrl/emsup.02.09:SuperannuationFundDetails.ActuarialCertificate.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR327" value="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR328" value="xbrli:xbrl/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR329" value="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.NonDeductible.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR330" value="xbrli:xbrl/bafpr1.02.05:Expense.Interest.Amount[@contextRef=$RP.NonDeductible.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR331" value="xbrli:xbrl/bafpr1.02.15:Expense.CapitalWorks.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR332" value="xbrli:xbrl/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR333" value="xbrli:xbrl/bafpr2.02.04:Expense.Operating.ApprovedAuditorFee.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR334" value="xbrli:xbrl/bafpr1.02.16:Expense.Investment.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR335" value="xbrli:xbrl/bafpr1.02.15:Expense.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR336" value="xbrli:xbrl/bafpr1.02.00:Expense.Other.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR337" value="xbrli:xbrl/bafpr1.02.27:Expense.Other.Code[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR338" value="xbrli:xbrl/bafpr1.02.16:Expense.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR339" value="xbrli:xbrl/rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR340" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.09:SuperannuationPayment.BenefitLumpSum.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR341" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.09:SuperannuationPayment.BenefitLumpSum.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR342" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.07:SuperannuationPayment.BenefitPensions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR343" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.09:SuperannuationPayment.BenefitPensions.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR344" value="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.AustNonResidentialRealProperty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR345" value="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.OverseasRealProperty.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR346" value="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.AustralianShares.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR347" value="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.OtherShares.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR348" value="xbrli:xbrl/bafpo1.02.09:Assets.LimitedRecourseBorrowing.Amount[@contextRef=$RP.JAUS.Other.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR349" value="xbrli:xbrl/bafpr2.02.05:Expense.Operating.GeneralManagementAndAdministrationFees.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR350" value="xbrli:xbrl/bafpo7.02.13:Assets.RelatedParties.InHouse.Indicator[@contextRef=$RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR351" value="xbrli:xbrl/bafpo7.02.13:Assets.RelatedParties.InHouse.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR352" value="xbrli:xbrl/bafpr1.02.15:Income.AssessableOther.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR353" value="xbrli:xbrl/bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef=$RP.NonDeductible.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR354" value="xbrli:xbrl/smsfar.0006.lodge.req.02.00:MemberInformation[not(@i:nil='true' or @i:nil='1')]/emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR356" value="xbrli:xbrl/rvctc1.02.12:IncomeTax.SupervisoryLevyAdjustment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR360" value="xbrli:xbrl/pyin.02.16:Lodgment.FirstReturn.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR361" value="xbrli:xbrl/rvctc1.02.14:IncomeTax.SupervisoryLevyWoundupAdjustment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR362" value="xbrli:xbrl/rvctc1.02.14:IncomeTax.SupervisoryLevyNewlyRegisteredAdjustment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR370" value="xbrli:xbrl/rvctc1.02.18:IncomeTax.TaxOffsetExplorationDevelopmentIncentiveCredit.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="SMSFAR380" value="xbrli:xbrl/rvctc3.02.16:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RPI.Y0Plus.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
</pattern>