﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>
  
  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.CGNFT.000009
         ELS Ref: V17         
        
         WHERE PARENT RETURN DOES NOT EXIST
        IF ([cgnft6] <> NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
                
        [cgnft06] = pyde.02.17:OrganisationDetails.TaxConsolidation.Date
    -->
    <assert id="VR.ATO.CGNFT.000009" diagnostics="DVR.ATO.CGNFT.000009"
            test="not(
                        $cgnft06[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                     )" />


    <!-- Rule ID: VR.ATO.CGNFT.000010
         ELS Ref: V17         
        
         WHERE PARENT RETURN DOES NOT EXIST
         IF ([cgnft7] <> NULL)
          RETURN VALIDATION MESSAGE
        ENDIF
                
        [cgnft07] = pyde.02.17:OrganisationDetails.TaxConsolidationMultipleEntryConsolidatedGroup.Indicator
    -->
    <assert id="VR.ATO.CGNFT.000010" diagnostics="DVR.ATO.CGNFT.000010"
            test="not(
                        $cgnft07[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                     )" />

  </rule>  
</pattern>
