<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:bafpr3.02.08="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.08.data" xmlns:bafpr3.02.09="http://sbr.gov.au/icls/baf/bafpr/bafpr3.02.09.data" xmlns:gfagc.02.04="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.04.data" xmlns:gfagc.02.05="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.05.data" xmlns:gfagc.02.06="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.06.data" xmlns:gfagg.02.03="http://sbr.gov.au/icls/gfa/gfagg/gfagg.02.03.data" xmlns:lrla.02.12="http://sbr.gov.au/icls/lr/lrla/lrla.02.12.data" xmlns:orgname2.02.00="http://sbr.gov.au/comnmdle/comnmdle.organisationname2.02.00.module" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.07="http://sbr.gov.au/icls/py/pyin/pyin.02.07.data" xmlns:gfagc.02.07="http://sbr.gov.au/icls/gfa/gfagc/gfagc.02.07.data" xmlns:ConcessionType.02.00="http://sbr.gov.au/dims/ConcessionType.02.00.dims" xmlns:RprtPyType.02.05="http://sbr.gov.au/dims/RprtPyType.02.05.dims" xmlns:rdtis.0002.lodge.req.02.00="http://sbr.gov.au/rprt/ato/rdtis/rdtis.0002.lodge.request.02.00.report" xmlns:rdtis.0002.prv.02.00="http://sbr.gov.au/rprt/ato/rdtis/rdtis.0002.private.02.00.module" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:fn="http://www.w3.org/2005/xpath-functions" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="RDTIS201502Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M33"/><xsl:apply-templates select="/" mode="M34"/><xsl:apply-templates select="/" mode="M35"/><xsl:apply-templates select="/" mode="M36"/><xsl:apply-templates select="/" mode="M37"/><xsl:apply-templates select="/" mode="M38"/><xsl:apply-templates select="/" mode="M39"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN ContentRDTIS Content Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M33">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                and                                round(xs:decimal(sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                                !=                                round(xs:decimal(sum(                                  bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                |bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                | lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438021</isns:Code><isns:Description>Australian owned R&amp;D Total of allocated notional deductions is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><isns:LongDescription>Australian owned R&amp;D Total of allocated notional deductions must equal the sum of Australian owned R&amp;D amounts</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                                and                                round(xs:decimal(sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                                !=                                round(xs:decimal(sum(                                  bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                                | lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                                | bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438022</isns:Code><isns:Description>Foreign owned R&amp;D Total of allocated notional deductions is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><isns:LongDescription>Foreign owned R&amp;D Total of allocated notional deductions must equal the sum of Foreign owned R&amp;D amounts</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount                                 [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438024</isns:Code><isns:Description>Total Notional R&amp;D deductions must be greater than zero</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><isns:LongDescription>If lodging the Research and Development Tax Incentive Schedule the Total Notional R&amp;D deductions must be greater than zero</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             (                                 round(xs:decimal(sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                 | bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                             ) &gt;= round(20000 * 100)                              and                              round(xs:decimal(sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                             !=                              (                              round(xs:decimal(sum(                                         bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                                       | bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                             )                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438025</isns:Code><isns:Description>Total Notional R&amp;D deductions is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><isns:LongDescription>If the sum of Australian and Foreign owned R&amp;D Total of allocated notional deductions is equal to or greater than $20,000 then the Total Notional R&amp;D deductions must equal the sum of Australian and Foreign owned R&amp;D Total of allocated notional deductions</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                            round(xs:decimal(sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                           | bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                         ) &lt; round(20000 * 100)                         and                         round(xs:decimal(sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                         !=                         (                           round(xs:decimal(sum(  bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                           | bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                           | bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                           | bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                         )                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438026</isns:Code><isns:Description>Total Notional R&amp;D deductions is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount</xsl:text></Location><isns:LongDescription>If the sum of Australian and Foreign owned R&amp;D Total of allocated notional deductions is less than $20,000 then Total Notional R&amp;D deductions must equal the sum of Australian and Foreign owned R&amp;D expenditure Research service provider amounts plus the sum of Australian and Foreign owned R&amp;D expenditure Cooperative Research Centre contributions amounts</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                               and                                gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                               and(                                 round(xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                                 !=                                  round(xs:decimal(sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438052</isns:Code><isns:Description>Refundable tax offset Total notional R&amp;D deductions must equal the Total notional R&amp;D deductions</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount</xsl:text></Location><isns:LongDescription>The Refundable R&amp;D tax offset is being claimed: 'Exempt entity ownership of 50% or greater' question is 'No', 'Aggregated turnover of $20 million or greater' question is 'No' and the Refundable tax offset Total notional R&amp;D deductions is not equal to the Total notional R&amp;D deductions</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test=" not(                                                    count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0                             and                             abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) -                                   round(100 * 0.45 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                                                           ) &gt;100              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438055</isns:Code><isns:Description>Refundable R&amp;D tax offset is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount</xsl:text></Location><isns:LongDescription>Refundable R&amp;D tax offset must equal 45% of the Refundable tax offset Total notional R&amp;D deductions</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             (                                 gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]                                 or gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]                             )                             and                            (                                round(xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                                !=                                round(xs:decimal(sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                            ))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438057</isns:Code><isns:Description>Non-refundable tax offset Total notional R&amp;D deductions must equal the Total notional R&amp;D deductions</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount</xsl:text></Location><isns:LongDescription>The Non-refundable R&amp;D tax offset is being claimed: Group Totals Turnover is $20 million or greater or 'Exempt entity ownership of 50% or greater' question is 'Yes' or 'Aggregated turnover of $20 million or greater' question is 'Yes' and the Non-refundable tax offset Total notional R&amp;D deductions is not equal to the Total notional R&amp;D deductions</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test=" not( count(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) !=0                            and                              abs( round(100 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))) -                                   round(100 * 0.40 * xs:decimal(sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))                                                                           ) &gt;100              )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438059</isns:Code><isns:Description>Non-refundable R&amp;D tax offset is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount</xsl:text></Location><isns:LongDescription>Non-refundable R&amp;D tax offset must equal 40% of the Non-refundable tax offset Total notional R&amp;D deductions</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                 bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 and                 (                     round(xs:decimal(sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                     !=                     (                      round(                             (xs:decimal(sum(                             bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount[@contextRef=$RP.YPrevious.ContextId and not(@i:nil='true' or @i:nil='1')]                              |                                bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesUnpaid.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])                             -                             bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesClaimed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                             -                             bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 100)                                                  )                 )                 )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438061</isns:Code><isns:Description>R&amp;D expenditure incurred to associates to be carried forward is incorrect.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount</xsl:text></Location><isns:LongDescription>"R&amp;D expenditure incurred to associates to be carried forward" must equal "R&amp;D expenditure to associates incurred in prior year, not paid, not claimed (carried forward)" plus "Current year R&amp;D expenditure incurred to associates" minus "Current year R&amp;D expenditure incurred to associates claimed under other provisions" minus "R&amp;D expenditure paid to associates in the current year".</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test=" not(                 bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                 and                round(100* xs:decimal(sum(bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))               !=               round(100* xs:decimal(sum(                   bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[@contextRef = $RP.CTAUS.ContextId and not(@i:nil='true' or @i:nil='1')]                  | bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[@contextRef = $RP.CTFOR.ContextId and not(@i:nil='true' or @i:nil='1')]                   )))                 )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438037</isns:Code><isns:Description>R&amp;D expenditure paid to associates is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount</xsl:text></Location><isns:LongDescription>R&amp;D expenditure paid to associates in the current year must equal the sum of Australian and Foreign owned R&amp;D expenditure paid to associates in the current year</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="RDTIS38" select="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RDTIS42" select="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $GM.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RDTIS43" select="gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverExclusion.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RDTIS44" select="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="RDTIS52" select="gfagc.02.07:TaxConcession.ResearchAndDevelopment.TaxOffsetAdditionalEntitiesTurnover.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RDTIS44 and                          round(xs:decimal(sum(($RDTIS44))) * 100) != ( round(xs:decimal(sum(($RDTIS38))) * 100) + round(xs:decimal(sum(($RDTIS42))) * 100) + round(xs:decimal(sum(($RDTIS52))) * 100) - round(xs:decimal(sum($RDTIS43)) * 100) )                                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438050</isns:Code><isns:Description>Aggregated Turnover is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount</xsl:text></Location><isns:LongDescription>Aggregated Turnover must equal the reporting Company turnover plus the sum of Group Member turnovers minus amounts excluded from aggregated turnover</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                                  gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')  and matches(.,'^(false|0)$')]                                 and                                 (                                     not(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                                                                     or                                     sum(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;=  20000000                                                                      )                             )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438049</isns:Code><isns:Description>The indicated Aggregated Turnover is incorrect</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount</xsl:text></Location><isns:LongDescription>With an indicated Aggregated Turnover of less than $20 million, the Aggregated Turnover must be present and less than $20 million</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test=" not(                   count( gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $GM.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt;0                   and not(gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                               )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438043</isns:Code><isns:Description>With one or more Group Members present, the reporting Company turnover must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                         and                         (gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438053</isns:Code><isns:Description>Only a Refundable or Non-refundable tax offset is claimable.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount</xsl:text></Location><isns:LongDescription>Only a Refundable or Non-refunable tax offset Total notional R&amp;D deductions should be present</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            gfagc.02.07:TaxConcession.ResearchAndDevelopment.TaxOffsetAdditionalEntitiesTurnover.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                                   and                            count($GM.Context) &lt; 19                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438065</isns:Code><isns:Description>Other group Members - Annual Turnover must not be completed</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.07:TaxConcession.ResearchAndDevelopment.TaxOffsetAdditionalEntitiesTurnover.Amount</xsl:text></Location><isns:LongDescription>Other Group Members - Annual Turnover must not be completed if there are less then 19 specified group members</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]                             and                             not(gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438066</isns:Code><isns:Description>Answer to 'Do you have an aggregated turnover of $20 million or greater?' is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.AggregatedTurnoverAtOrAboveThreshold.Indicator</xsl:text></Location><isns:LongDescription>If your company is not controlled by one or more income tax exempt entities, then you must indicate whether the company's aggreated turnover is $20 million or greater</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M33"><xsl:variable name="currentContextId" select="@id"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $GM.Context                         and                          count(../gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')]) = 0                                                )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438046</isns:Code><isns:Description>Each Group Member must have an Entity turnover</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         . = $GM.Context                         and not(../orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]                                     /pyde.02.00:OrganisationNameDetails.OrganisationalName.Text                                     [@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438045</isns:Code><isns:Description>Each Group Member must have an Entity name</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M33"/></xsl:template><xsl:template match="text()" priority="-1" mode="M33"/><xsl:template match="@*|node()" priority="-2" mode="M33"><xsl:apply-templates select="*" mode="M33"/></xsl:template>

<!--
                PATTERN ContextRDTIS Context Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M34">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(count($RP.Context) != 1)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.402009</isns:Code><isns:Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location><isns:LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(xbrli:context[@id=$RP.CTAUS.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn']                           !=                            xbrli:context[@id=$RP.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438000</isns:Code><isns:Description>The supplied Reporting Company, Concession Type Australian TFN must be the same as the reporting Company TFN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           xbrli:context[@id=$RP.YPrevious.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn']                           !=                            xbrli:context[@id=$RP.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn']                           )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438063</isns:Code><isns:Description>The Reporting Party: YPrevious TFN does not match the Reporting Company TFN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(xbrli:context[@id=$RP.CTFOR.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn']                           !=                            xbrli:context[@id=$RP.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438001</isns:Code><isns:Description>The supplied Reporting Company, Concession Type Foreign TFN must be the same as the reporting Company TFN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(xbrli:context[@id=$GM.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn']                           =                            xbrli:context[@id=$RP.ContextId]/xbrli:entity                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn'])"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438003</isns:Code><isns:Description>The supplied Group Member TFN must not be the same as the reporting Company TFN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$RP.CTAUS.ContextId]) &gt; 1)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438004</isns:Code><isns:Description>The number of Reporting party: Concession Type Australian contexts must not exceed 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$RP.CTFOR.ContextId]) &gt; 1)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438005</isns:Code><isns:Description>The number of Reporting party: Concession Type Foreign contexts must not exceed 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:xbrl</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(count(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id=$GM.ContextId]) &gt; 19)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438006</isns:Code><isns:Description>The number of Group Member contexts must not exceed 19</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:xbrl</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.YPrevious.Context) &gt; 1                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438062</isns:Code><isns:Description>The number of Reporting party: YPrevious contexts must not exceed 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M34"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M34">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme != 'http://www.ato.gov.au/tfn']                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001021</isns:Code><isns:Description>Invalid identifier scheme.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><isns:LongDescription>Invalid identifier scheme.  Indentifier scheme must be set to "http://www.ato.gov.au/tfn"</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                             xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn' and                                                  ../xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[@dimension='RprtPyType.02.05:ReportPartyTypeDimension' and .='RprtPyType.02.05:GroupMember']]                         =                          preceding-sibling::xbrli:context[not(@i:nil='true' or @i:nil='1')]/                             xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                                 xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme) = 'http://www.ato.gov.au/tfn' and                                                      ../xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:explicitMember[@dimension='RprtPyType.02.05:ReportPartyTypeDimension' and .='RprtPyType.02.05:GroupMember']]                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.RDTIS.438060</isns:Code><isns:Description>Group Member context TFN duplicated. Unique TFN required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M34"/></xsl:template><xsl:template match="text()" priority="-1" mode="M34"/><xsl:template match="@*|node()" priority="-2" mode="M34"><xsl:apply-templates select="*" mode="M34"/></xsl:template>

<!--
                PATTERN FieldPatternsRDTIS Field Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureResearchServiceProvider.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1029" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[0-9]{1,11}$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesExpenditure.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1028" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[0-9]{1,11}$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.BalancingLosses.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1027" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[0-9]{1,11}$')                       "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.CooperativeResearchCentreContributions.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1026" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[0-9]{1,11}$')                       "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AllocatedTotal.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1025" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test=" matches(.,'^[0-9]{1,11}$')                       "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Income.ResearchAndDevelopment.FeedstockRevenueTotal.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1024" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.FeedstockInput.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1023" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Income.ResearchAndDevelopment.FeedstockNet.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1022" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="gfagg.02.03:ResearchAndDevelopment.GovernmentGrantsAndRecoupments.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1021" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.RecoupmentRelated.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1020" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.GrantRelated.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1019" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesUnpaid.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1018" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesClaimed.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1017" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesNotClaimed.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1016" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverExclusion.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1015" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetTurnoverTotal.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1013" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalNonRefundable.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetEntityTurnover.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             not(matches(.,'^[0-9]{1,11}$'))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.GovernmentGrantsRecoupmentsClawback.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1009" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}(\.[0-9]{0,2})?$'))                           )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.ResearchAndDevelopmentAccountingExpenditureAddBack.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1008" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNotionalRefundable.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1007" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.AssociatesCarriedForward.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1006" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             @contextRef = $RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $RP.YPrevious.ContextId and not(matches(.,'^[0-9]{1,11}$'))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.DeclineInValuePlantAndDepreciatingAssets.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[0-9]{1,11}$')                          "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.Feedstock.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[0-9]{1,11}$')                    "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.08:Expense.ResearchAndDevelopment.OtherExpenditureRegisteredResearchAgency.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[0-9]{1,11}$')                    "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="lrla.02.12:Remuneration.WagesAndSalaries.Salary.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             not(matches(.,'^[0-9]{1,11}$'))                          )                    "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="bafpr3.02.09:Expense.ResearchAndDevelopment.ContractedExpenditureNonResearchServiceProvider.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             not(matches(.,'^[0-9]{1,11}$'))                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="gfagc.02.07:TaxConcession.ResearchAndDevelopment.TaxOffsetAdditionalEntitiesTurnover.Amount[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M35">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef=$RP.ContextId and not(matches(.,'^[0-9]{1,11}$'))                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.400011</isns:Code><isns:Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M35"/></xsl:template><xsl:template match="text()" priority="-1" mode="M35"/><xsl:template match="@*|node()" priority="-2" mode="M35"><xsl:apply-templates select="*" mode="M35"/></xsl:template>

<!--
                PATTERN MandatoriesRDTIS Mandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyin.02.07:Report.Amendment.Indicator                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><isns:Description>Mandatory field not supplied</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.07:Report.Amendment.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator                         [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><isns:Description>Mandatory field not supplied</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/gfagc.02.04:TaxConcession.ExemptEntityOwnership.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template><xsl:template match="text()" priority="-1" mode="M36"/><xsl:template match="@*|node()" priority="-2" mode="M36"><xsl:apply-templates select="*" mode="M36"/></xsl:template>

<!--
                PATTERN OrganisationRDTIS Organisation Common Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M37"><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.Currency.Code[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410140</isns:Code><isns:Description>Organisation Name Currency Code must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.Currency.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410147</isns:Code><isns:Description>Name Type Code must be present if Name of the Interposed Entity is present.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410215</isns:Code><isns:Description>Organisation name must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='false' or @i:nil='0') and string-length(normalize-space(.)) != 0] and                          not (matches(pyde.02.00:OrganisationNameDetails.Currency.Code,'(C|P)','i'))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430850</isns:Code><isns:Description>Orgnaisation name Currency code must be 'C' or 'P'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.Currency.Code</xsl:text></Location><isns:LongDescription>Organisation Name Details Currency Code must be 'C' for current organisation name or 'P' for previous organisation name</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')and matches(.,'^(.*)( T/A| T/A P''ship| T/A Pship| T/A P/Ship| T/A Partnership)$','i')]                   )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000417</isns:Code><isns:Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'MN'                           or                           upper-case(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.438006</isns:Code><isns:Description>Organisation Name Type Code must be 'MN' and Organisation Name Currency Code must be 'C'.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')                          and matches(.,'^(T/A )(.*)$','i') and matches(.,'^(.*)( Pship| P''ship| P/ship)$','i') ]                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410038</isns:Code><isns:Description>Non-individual name field cannot contain 'Pship', 'P'ship or 'P/Ship'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          matches(.,'^(.*) - (.*)$')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000413</isns:Code><isns:Description>Non Individual Name cannot contain space hyphen space combinations</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000416</isns:Code><isns:Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.03:Party.Type.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          matches(.,'^(.*)P/L(.*)$','i')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000414</isns:Code><isns:Description>Non Individual Name cannot contain "P/L"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          string-length(normalize-space(.)) != 0 and not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410039</isns:Code><isns:Description>Organisation name must contain at least one alpha or numeric character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template><xsl:template match="text()" priority="-1" mode="M37"/><xsl:template match="@*|node()" priority="-2" mode="M37"><xsl:apply-templates select="*" mode="M37"/></xsl:template>

<!--
                PATTERN VariablesRDTIS Variables-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]             ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="GM.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/                  xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:GroupMember$')]             ]"/><xsl:variable name="GM.ContextId" select="$GM.Context/@id"/><xsl:variable name="RP.CTAUS.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and matches(.,'^ConcessionType\.\d\d\.\d\d:Australian$')]) = 1]             ]"/><xsl:variable name="RP.CTAUS.ContextId" select="$RP.CTAUS.Context/@id"/><xsl:variable name="RP.CTFOR.Context" select="xbrli:xbrl/xbrli:context[                 not(@i:nil='true' or @i:nil='1')                  and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                  and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                 xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                  and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                 and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ConcessionType.\d\d\.\d\d:ConcessionTypeDimension$') and matches(.,'^ConcessionType\.\d\d\.\d\d:Foreign$')]) = 1]             ]"/><xsl:variable name="RP.YPrevious.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 2                and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1               and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RelPrdDrtn.\d\d\.\d\d:RelativePeriodDurationDimension$') and matches(.,'^RelPrdDrtn\.\d\d\.\d\d:YPrevious$')]) = 1]            ]"/><xsl:variable name="RP.YPrevious.ContextId" select="$RP.YPrevious.Context/@id"/><xsl:variable name="RP.CTFOR.ContextId" select="$RP.CTFOR.Context/@id"/><xsl:variable name="GM.Identifier.TFN" select="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/                     xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                     xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1]/                     xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')                     and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                     and matches(.,'^RprtPyType\.\d\d\.\d\d:GroupMember$')]/                                                              ../../xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/tfn']"/><xsl:template match="text()" priority="-1" mode="M38"/><xsl:template match="@*|node()" priority="-2" mode="M38"><xsl:apply-templates select="*" mode="M38"/></xsl:template>

<!--
                PATTERN AbstractsAbstracts Validations-->
<xsl:template match="text()" priority="-1" mode="M39"/><xsl:template match="@*|node()" priority="-2" mode="M39"><xsl:apply-templates select="*" mode="M39"/></xsl:template></xsl:stylesheet>