﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <diagnostic id="DVR.ATO.CGTS.402226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402226</Code>
      <Description>Income year earnout right created and Amount to be amended cannot be supplied when Parent return Amendment indicator is present.</Description>
      <LongDescription/>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402165">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402165</Code>
      <Description>Total losses transferred in applied is only valid for a company</Description>
      <Location>rvctc3.02.11:Capital.Losses.TransferredTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.CGTS.402171">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402171</Code>
      <Description>Invalid amount. A capital loss can not be carried forward where a net capital gain amount has been reported</Description>
      <Location>rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.CGTS.402174">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.CGTS.402174</Code>
      <Description>The CGT discount rate applied to capital gains by a trust or company must not be greater than 50%</Description>
      <Location>gfagc.02.06:TaxConcession.CapitalGains.DiscountTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500060</Code>
      <Description>Contact telephone details must be provided</Description>
      <LongDescription>Declarer telephone area code and telephone number must be provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.307004</Code>
      <Description>Declaration Signature Date is required</Description>
      <LongDescription>Intermediary or Report Party declaration signatory date is required</LongDescription>
      <Location>pyin.02.29:Declaration.Signature.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500062</Code>
      <Description>Area code is required, if a Telephone number is provided</Description>
      <LongDescription>Declarer daytime phone area code is required when Declarer daytime phone number is provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500051</Code>
      <Description>Entity identifier scheme for Intermediary.TrueAndCorrect must be "http://www.abr.gov.au/abn"</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000001</Code>
      <Description>Invalid context. The number of Reporting Party Postal Previous contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000002" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000002</Code>
      <Description>Invalid context. The number of Reporting Party Previous contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000003" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000003</Code>
      <Description>Invalid context. The number of Reporting Party Statement of Attribution contexts must not exceed 500.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000004" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000004</Code>
      <Description>Sequence Container must not be duplicated</Description>
      <LongDescription>The Sequence Container within the Statement of Attribution Sequence Dimension context instance must not be duplicated</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000006" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000006</Code>
      <Description>Trust Australian Business Number is invalid</Description>
      <LongDescription>The Trust Australian Business Number has failed the ABN algorithm check</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.TRTAMI.000007" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000007</Code>
      <Description>Trustee Australian Business Number is invalid</Description>
      <LongDescription>The Trustee Australian Business Number has failed the ABN algorithm check</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000008" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000008</Code>
      <Description>Name of Trust must contain at least one alpha or numeric character</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000009</Code>
      <Description>Name of Trust cannot contain space hyphen space combinations</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000010</Code>
      <Description>Name of Trust cannot contain "P/L"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000011" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000011</Code>
      <Description>Name of Trust cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000012</Code>
      <Description>Name of Trust cannot start with "T/A" and end with "Pship", "P'ship" or "P/Ship"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>



  <diagnostic id="DVR.ATO.TRTAMI.000014" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000014</Code>
      <Description>Name of Trust must be provided</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000015" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000015</Code>
      <Description>Name of Trust cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000016" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000016</Code>
      <Description>Previous Name of Trust must contain at least one alpha or numeric character</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000017</Code>
      <Description>Previous Name of Trust cannot contain space hyphen space combinations</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000018" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000018</Code>
      <Description>Previous Name of Trust cannot contain "P/L"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000019" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000019</Code>
      <Description>Previous Name of Trust cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000020" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000020</Code>
      <Description>Previous Name of Trust cannot start with "T/A" and end with "Pship", "P'ship" or "P/Ship"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>



  <diagnostic id="DVR.ATO.TRTAMI.000023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000023</Code>
      <Description>Previous Name of Trust cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000024" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000024</Code>
      <Description>Trustee Daytime Telephone Number must not exceed 15 characters</Description>
      <LongDescription>For Trustee Daytime Telephone Number, the maximum allowable characters for this form is 15</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000025" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000025</Code>
      <Description>Trustee Daytime Telephone Number must be provided</Description>
      <LongDescription/>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.TRTAMI.000026" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.TRTAMI.000026</Code>
			<Description>Declarer Telephone number must not exceed 15 characters</Description>
			<LongDescription>For Declarer Telephone number, the maximum allowable characters for this form is 15</LongDescription>
			<Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000027" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000027</Code>
      <Description>Current Postal Address of Trust - Address Line 1 must not exceed 38 characters</Description>
      <LongDescription>For Current Postal Address of Trust - Address Line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000028</Code>
      <Description>Current Postal Address of Trust - Address Line 1 must not contain 'AS ABOVE'</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000029</Code>
      <Description>Current Postal Address of Trust - Address Line 1 must be present</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000030</Code>
      <Description>Current Postal Address of Trust - Address Line 1 is invalid</Description>
      <LongDescription>Current Postal Address of Trust - Address Line 1 contains incorrect 'care of' reference. The only acceptable 'care of' reference is C/-.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000031" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000031</Code>
      <Description>Current Postal Address of Trust - Address Line 1 cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000032" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000032</Code>
      <Description>Current Postal Address of Trust - Address Line 2 must not exceed 38 characters</Description>
      <LongDescription>For Current Postal Address of Trust - Address Line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000033</Code>
      <Description>'Care of' is not valid for Current Postal Address of Trust - Address Line 2</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000034" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000034</Code>
      <Description>Current Postal Address of Trust - Address Line 2 cannot contain "UNKNOWN"</Description>
      <LongDescription></LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000035</Code>
      <Description>Current Postal Address of Trust - Address Line 2 must be provided</Description>
      <LongDescription>When Current Postal Address of Trust - Address Line 1 contains 'C/-', Current Postal Address of Trust - Address Line 2 must be provided</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000036</Code>
      <Description>Current Postal Address of Trust - Suburb/Town must not exceed 46 characters</Description>
      <LongDescription>For Current Postal Address of Trust - Suburb/Town, the maximum allowable characters for this form is 46</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000037" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000037</Code>
      <Description>Current Postal Address of Trust - Suburb/Town cannot contain state code</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000038" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000038</Code>
      <Description>Current Postal Address of Trust - Suburb/Town cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000039" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000039</Code>
      <Description>Current Postal Address of Trust - Suburb/Town must be provided</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000040" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000040</Code>
      <Description>Current Postal Address of Trust - Suburb/Town is invalid</Description>
      <LongDescription>When an Australian address is provided, Current Postal Address of Trust - Suburb/Town must not contain numeric characters</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000041</Code>
      <Description>Current Postal Address of Trust - Postcode is invalid</Description>
      <LongDescription>For an Australian address, Current Postal Address of Trust - Postcode is invalid. Valid range is 0200 - 9999.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000042" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000042</Code>
      <Description>Current Postal Address of Trust - Postcode must be present</Description>
      <LongDescription>If the Current Postal Address of Trust is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000043" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000043</Code>
      <Description>Current Postal Address of Trust - State and postcode are required for Australian addresses</Description>
      <LongDescription>Current Postal Address of Trust - State and postcode, or country are required. Determine whether the address is Australian or overseas and correct accordingly.</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000044" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000044</Code>
      <Description>Current Postal Address of Trust - State must be present</Description>
      <LongDescription>If the Current Postal Address of Trust is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present.</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000045</Code>
      <Description>Australia must be entered as the country where an Australian state or territory has been entered</Description>
      <LongDescription/>
      <Location>pyde.02.08:AddressDetails.Country.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000046" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430009</Code>
      <Description>Previous postal address must not be the same as current postal address</Description>
      <LongDescription>Previous postal address is only required when an address change has occurred since the last return.  Delete previous postal address or input the old address if a change of address has occurred.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000047" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000047</Code>
      <Description>Previous Postal Address of Trust - Address Line 1 must not exceed 38 characters</Description>
      <LongDescription>For Previous Postal Address of Trust - Address Line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000048" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000048</Code>
      <Description>Previous Postal Address of Trust - Address Line 1 must not contain 'AS ABOVE'</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000049" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000049</Code>
      <Description>Previous Postal Address of Trust - Address Line 1 is invalid</Description>
      <LongDescription>Previous Postal Address of Trust - Address Line 1 contains incorrect 'care of' reference. The only acceptable 'care of' reference is C/-.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000050" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000050</Code>
      <Description>Previous Postal Address of Trust - Address Line 1 cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000051" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000051</Code>
      <Description>Full Previous Postal Address of Trust details must be provided</Description>
      <LongDescription>When any Previous Postal Address for Trust details are provided, Address Line 1 and Suburb/Town must be provided, including State and Postcode if address is Australian</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000052" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000052</Code>
      <Description>Previous Postal Address of Trust - Address Line 2 must not exceed 38 characters</Description>
      <LongDescription>For Previous Postal Address of Trust - Address Line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000053" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000053</Code>
      <Description>'Care of' is not valid for Previous Postal Address of Trust - Address Line 2</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000054" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000054</Code>
      <Description>Previous Postal Address of Trust - Address Line 2 cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000055" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000055</Code>
      <Description>Previous Postal Address of Trust - Address Line 2 must be provided</Description>
      <LongDescription>When Previous Postal Address of Trust - Address Line 1 contains 'C/-', Current Previous Address of Trust - Address Line 2 must be provided</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000056" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000056</Code>
      <Description>Previous Postal Address of Trust - Suburb/Town must not exceed 46 characters</Description>
      <LongDescription>For Previous Postal Address of Trust - Suburb/Town, the maximum allowable characters for this form is 46</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000057</Code>
      <Description>Previous Postal Address of Trust - Suburb/Town cannot contain state code</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000058</Code>
      <Description>Previous Postal Address of Trust - Suburb/Town cannot contain "UNKNOWN"</Description>
      <LongDescription/>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000059</Code>
      <Description>Previous Postal Address of Trust - Suburb/Town is invalid</Description>
      <LongDescription>When an Australian address is provided, Previous Postal Address of Trust - Suburb/Town must not contain numeric characters</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000060" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000060</Code>
      <Description>Previous Postal Address of Trust - Postcode is invalid</Description>
      <LongDescription>For an Australian address, Previous Postal Address of Trust - Postcode is invalid. Valid range is 0200 - 9999.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000061</Code>
      <Description>Previous Postal Address of Trust - Postcode must be present</Description>
      <LongDescription>If the Previous Postal Address of Trust is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Postcode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000062" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000062</Code>
      <Description>Previous Postal Address of Trust - State must be present</Description>
      <LongDescription>If the Previous Postal Address of Trust is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present.</LongDescription>
      <Location>pyde.02.00:AddressDetails.StateOrTerritory.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.TRTAMI.000063" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000063</Code>
      <Description>Trustee Title is invalid</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.Title.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000064" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000064</Code>
      <Description>Trustee Family Name must contain at least one alphabetical character</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000065" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000065</Code>
      <Description>Trustee Family Name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000066" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000066</Code>
      <Description>Trustee Family Name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000067" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000067</Code>
      <Description>Trustee Family Name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000068" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000068</Code>
      <Description>Trustee Family Name cannot contain "space hyphen space"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000069" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000069</Code>
      <Description>Trustee Family Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000070" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000070</Code>
      <Description>Trustee First Given Name must contain at least one alphabetical character</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000071" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000071</Code>
      <Description>Trustee First Given Name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000072" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000072</Code>
      <Description>Trustee First Given Name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000073" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000073</Code>
      <Description>Trustee First Given Name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000074" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000074</Code>
      <Description>Trustee First Given Name must be entered if Trustee Other Given Names is entered</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000075" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000075</Code>
      <Description>Trustee First Given Name cannot contain space hyphen space</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000076" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000076</Code>
      <Description>Trustee First Given Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000077" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000077</Code>
      <Description>Trustee Other Given Names must contain at least one alphabetical character</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000078" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000078</Code>
      <Description>Trustee Other Given Names cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000079" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000079</Code>
      <Description>Trustee Other Given Names cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000080" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000080</Code>
      <Description>Trustee Other Given Names cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000081" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000081</Code>
      <Description>Trustee Other Given Names cannot contain space hyphen space</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000082" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000082</Code>
      <Description>Trustee Other Given Names cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000083" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000083</Code>
      <Description>Name of the trustee to whom notices should be sent must be present</Description>
      <LongDescription>If the trustee is an individual, provide the name of the individual. If the trustee is a company, provide the name of the company.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000084" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000084</Code>
      <Description>Trustee Non-Individual Name and Trustee Family Name details must not both be present</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000085" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000085</Code>
      <Description>Trustee Non-Individual Name must contain at least one alpha or numeric character</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000086" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000086</Code>
      <Description>Trustee Non-Individual Name cannot contain space hyphen space combinations</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000087" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000087</Code>
      <Description>Trustee Non-Individual Name cannot contain "P/L"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000088" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000088</Code>
      <Description>Trustee Non-Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000089" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000089</Code>
      <Description>Trustee Non-Individual Name cannot start with "T/A" and end with "Pship", "P'ship" or "P/Ship"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

 

  <diagnostic id="DVR.ATO.TRTAMI.000091" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000091</Code>
      <Description>Trustee Non-Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000092" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000092</Code>
      <Description>'Is any tax payable by the Trustee?' must be provided</Description>
      <LongDescription/>
      <Location>pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000093" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000093</Code>
      <Description>Final Tax Return must be provided</Description>
      <LongDescription/>
      <Location>pyin.02.28:Lodgment.FinalReturn.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
	<diagnostic id="DVR.ATO.TRTAMI.000094" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.TRTAMI.000094</Code>
			<Description>Declarer Telephone number must not exceed 15 characters</Description>
			<LongDescription>For Declarer Telephone number, the maximum allowable characters for this form is 15</LongDescription>
			<Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>
	
  <diagnostic id="DVR.ATO.TRTAMI.000095" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000095</Code>
      <Description>Trust Component Deficit of Character Relating to Tax Offset is not in a valid monetary format</Description>
      <LongDescription>Trust Component Deficit of Character Relating to Tax Offset must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.24:IncomeTax.TrustComponentDeficitOffset.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000096" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000096</Code>
      <Description>Shortfall in Determined Member Components of Character Relating to Assessable Income is not in a valid monetary format</Description>
      <LongDescription>Shortfall in Determined Member Components of Character Relating to Assessable Income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.24:IncomeTax.TrustShortfallIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000099" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000099</Code>
      <Description>Excess in Determined Member Components of Character Relating to Tax Offset is not in a valid monetary format</Description>
      <LongDescription>Excess in Determined Member Components of Character Relating to Tax Offset must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.24:IncomeTax.TrustExcessOffset.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000100" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000100</Code>
      <Description>Determined Trust Component Amounts that are not reflected in Member Components is not in a valid monetary format</Description>
      <LongDescription>Determined Trust Component Amounts that are not reflected in Member Components must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.24:IncomeTax.TrustComponentNotReflected.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000101" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000101</Code>
      <Description>Account name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 &amp; * ( ) - ' . / or a space character</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000102" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000102</Code>
      <Description>Description of Main Business or Professional Activity must be present</Description>
      <LongDescription>When Industry Code has been provided, Description of Main Business or Professional Activity must be present</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000103" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000103</Code>
      <Description>Description of Main Business or Professional Activity contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000104" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.434079</Code>
      <Description>Credit: Interest on early payments must not be less than 50 cents</Description>
      <LongDescription/>
      <Location>bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000105" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000105</Code>
      <Description>Credit for Interest on Early Payments - Amount of Interest is not in a valid monetary format</Description>
      <LongDescription>Credit for Interest on Early Payments - Amount of Interest must be unsigned, contain 2 decimals and not exceed 11 significant digits; no other characters are allowed except for the decimal point</LongDescription>
      <Location>bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000106" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000106</Code>
      <Description>'Was the aggregate amount of your transactions or dealings with international related parties...' must be provided</Description>
      <LongDescription/>
      <Location>rvctc4.02.10:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000107" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000107</Code>
      <Description>Did the Thin Capitalisation provisions affect you? must be provided</Description>
      <LongDescription/>
      <Location>bafpo6.02.15:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000108" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000108</Code>
      <Description>Interest Expenses Overseas is not in a valid monetary format</Description>
      <LongDescription>Interest Expenses Overseas must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.05:Expense.Interest.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000109" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000109</Code>
      <Description>Royalty Expenses Overseas is not in a valid monetary format</Description>
      <LongDescription>Royalty Expenses Overseas must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.27:Expense.Royalties.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000113" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430194</Code>
      <Description>All current assets must not exceed Total assets</Description>
      <LongDescription/>
      <Location>bafpo1.02.00:Assets.CurrentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000114" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000114</Code>
      <Description>All Current Assets is not in a valid monetary format</Description>
      <LongDescription>All Current Assets must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpo1.02.00:Assets.CurrentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000115" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000115</Code>
      <Description>Total Assets is not in a valid monetary format</Description>
      <LongDescription>Total Assets must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpo1.02.13:Assets.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000116" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430195</Code>
      <Description>All current liabilities must not exceed Total liabilities</Description>
      <LongDescription/>
      <Location>bafpo1.02.00:Liabilities.CurrentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000117" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000117</Code>
      <Description>All Current Liabilities is not in a valid monetary format</Description>
      <LongDescription>All Current Liabilities must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpo1.02.00:Liabilities.CurrentTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000118" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000118</Code>
      <Description>Total Liabilities is not in a valid monetary format</Description>
      <LongDescription>Total Liabilities must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpo1.02.13:Liabilities.Total.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000121" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000121</Code>
      <Description>Member Title is invalid</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.Title.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000122" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000122</Code>
      <Description>Member Family Name must contain at least one alphabetical character</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000123" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000123</Code>
      <Description>Member Family Name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000124" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000124</Code>
      <Description>Member Family Name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000125" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000125</Code>
      <Description>Member Family Name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000126" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000126</Code>
      <Description>Member Family Name cannot contain "space hyphen space"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000127" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000127</Code>
      <Description>Member Family Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000128" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000128</Code>
      <Description>Member First Given Name must contain at least one alphabetical character</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000129" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000129</Code>
      <Description>Member First Given Name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000130" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000130</Code>
      <Description>Member First Given Name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000131" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000131</Code>
      <Description>Member First Given Name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000132" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000132</Code>
      <Description>Member First Given Name must be entered if Member Other Given Names is entered</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000133" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000133</Code>
      <Description>Member First Given Name cannot contain space hyphen space</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000134" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000134</Code>
      <Description>Member First Given Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000135" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000135</Code>
      <Description>Member Other Given Names must contain at least one alphabetical character</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000136" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000136</Code>
      <Description>Member Other Given Names cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000137" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000137</Code>
      <Description>Member Other Given Names cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.TRTAMI.000138" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000138</Code>
      <Description>Member Other Given Names cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000139" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000139</Code>
      <Description>Member Other Given Names cannot contain space hyphen space</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000140" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000140</Code>
      <Description>Member Other Given Names cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.TRTAMI.000141" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.TRTAMI.000141</Code>
			<Description>Name of the Statement of Attribution member must be present</Description>
			<LongDescription>If the member is an individual, provide the name of the individual. If the member is a company, provide the name of the company.</LongDescription>
			<Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000142" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000142</Code>
      <Description>Member Non-Individual Name and Member Family Name details must not both be present</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000143" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000143</Code>
      <Description>Member Non-Individual Name must contain at least one alpha or numeric character</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000144" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000144</Code>
      <Description>Member Non-Individual Name cannot contain space hyphen space combinations</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000145" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000145</Code>
      <Description>Member Non-Individual Name cannot contain "P/L"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000146" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000146</Code>
      <Description>Member Non-Individual Name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000147" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000147</Code>
      <Description>Member Non-Individual Name cannot start with "T/A" and end with "Pship", "P'ship" or "P/Ship"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>



  <diagnostic id="DVR.ATO.TRTAMI.000149" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000149</Code>
      <Description>Member Non-Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.TRTAMI.000167" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.TRTAMI.000167</Code>
			<Description>Member Tax File Number must not be the same as the Trust Tax File Number</Description>
			<LongDescription/>
			<Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>
	
	<diagnostic id="DVR.ATO.TRTAMI.000168" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.TRTAMI.000168</Code>
			<Description>Member Tax File Number must not be repeated</Description>
			<LongDescription/>
			<Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000150" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000150</Code>
      <Description>Trust Tax File Number has failed the algorithm check</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.RS.000150" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.RS.000150</Code>
      <Description>The Entity name must be the same as the name on the main form</Description>
      <LongDescription/>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000162" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000162</Code>
      <Description>Total Section 40-880 Deductions is not in a valid monetary format</Description>
      <LongDescription>Total Section 40-880 Deductions must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

    <diagnostic id="DVR.ATO.TRTAMI.000164" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000164</Code>
      <Description>Total Accounting Profit/(Loss) of AMIT is not in a valid monetary format</Description>
      <LongDescription>Total Accounting Profit/(Loss) of Attribution Managed Investment Trust (AMIT) may be signed but must not exceed 11 digits; no other characters are allowed except for the preceding sign</LongDescription>
      <Location>bafpr1.02.10:Income.TrustEstateIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000165" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000165</Code>
      <Description>Total Accounting Profit/(Loss) of Attribution Managed Investment Trust (AMIT) must be provided</Description>
      <LongDescription/>
      <Location>bafpr1.02.10:Income.TrustEstateIncome.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000166" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000166</Code>
      <Description>Member Tax File Number has failed the algorithm check</Description>
      <LongDescription/>
      <Location>pyid.02.00:Identifiers.TaxFileNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000172" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000172</Code>
      <Description>Taxable Determined Member Component is not in a valid monetary format</Description>
      <LongDescription>Taxable Determined Member Component must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc4.02.10:InternationalDealings.AssessableIncomeNonResidentBeneficiary.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000178" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000178</Code>
      <Description>Amendment Reason contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
      <Location>pyin.02.08:Report.AmendmentReason.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.TRTAMI.000179" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000179</Code>
      <Description>Name of Trust contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.TRTAMI.000180" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000180</Code>
      <Description>Previous Name of Trust contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.TRTAMI.000171" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.TRTAMI.000171</Code>
			<Description>Taxable Determined Member Component amount must be present</Description>
			<LongDescription>When the Assessment Calculation Code of Member is present, the Taxable Determined Member Component amount must be provided</LongDescription>
			<Location>rvctc4.02.10:InternationalDealings.AssessableIncomeNonResidentBeneficiary.Amount</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>
	
	<diagnostic id="DVR.ATO.TRTAMI.000173" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.TRTAMI.000173</Code>
			<Description>Trust Australian Business Number must be present</Description>
			<LongDescription/>
			<Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.TRTAMI.000176" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.TRTAMI.000176</Code>
			<Description>Date Financial Year From must not be earlier than July 2015</Description>
			<LongDescription>Date Financial Year From must not be earlier than July 2015 as AMIT legislation only came into effect from 1 July 2015</LongDescription>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000181" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000181</Code>
      <Description>Current Postal Address of Trust - Address Line 1 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000182" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000182</Code>
      <Description>Current Postal Address of Trust - Address Line 2 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000183" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000183</Code>
      <Description>Previous Postal Address of Trust - Address Line 1 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000184" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000184</Code>
      <Description>Previous Postal Address of Trust - Address Line 2 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000185" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000185</Code>
      <Description>Trustee Family Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000186" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000186</Code>
      <Description>Trustee First Given Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000187" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000187</Code>
      <Description>Trustee Other Given Names contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000188" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000188</Code>
      <Description>Trustee Non-Individual Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000189" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000189</Code>
      <Description>'Is any tax payable by the Trustee?' must be set to "1" (payment)</Description>
      <LongDescription>When a positive value has been provided for any Trustee Liabilities amounts or any Statement of Attribution (SA) Taxable Determined Member Component amounts, the 'Is any tax payable by the trustee?' must be set to "1" (Payment)</LongDescription>
      <Location>pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000190" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000190</Code>
      <Description>'Is any tax payable by the Trustee?' must be set to "0" (Nil)</Description>
      <LongDescription>When no positive values have been provided for any Trustee Liabilities amounts or any Statement of Attribution (SA) Taxable Determined Member Component amounts, the 'Is any tax payable by the trustee?' must be set to "0" (Nil)</LongDescription>
      <Location>pyin.02.00:Report.Statement.Summary.PaymentRefundOrNil.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000191" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000191</Code>
      <Description>Account Number must not exceed 9 characters</Description>
      <LongDescription>For Account Number, the maximum allowable characters for this form is 9</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000192" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000192</Code>
      <Description>Description of Main Business or Professional Activity must not exceed 200 characters</Description>
      <LongDescription>For Description of Main Business or Professional Activity, the maximum allowable characters for this form is 200</LongDescription>
      <Location>pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000193" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000193</Code>
      <Description>Member Family Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000194" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000194</Code>
      <Description>Member First Given Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000195" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000195</Code>
      <Description>Member Other Given Names contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:PersonNameDetails.OtherGivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000196" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000196</Code>
      <Description>Member Non-Individual Name contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000197" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000197</Code>
      <Description>Assessment Calculation Code of Member must be present</Description>
      <LongDescription>When a positive value for Trustee Liability for Non-Resident Amounts is present, the Assessment Calculation Code of Member must be provided</LongDescription>
      <Location>rvctc1.02.21:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000204" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000204</Code>
      <Description>'Funds or property, whether directly or indirectly, have been sent to, ...' must be provided</Description>
      <LongDescription/>
      <Location>rvctc4.02.11:InternationalDealings.TransactionsWithTaxHavenCountries.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000206" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000206</Code>
      <Description>'Trustee has the ability or expectation to control, whether directly or indirectly, ...' must be provided</Description>
      <LongDescription/>
      <Location>rvctc4.02.11:InternationalDealings.TransactionControlTaxHavenCountries.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000207" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000207</Code>
      <Description>'Have you chosen to treat separate classes in the trust as a separate AMIT?' must be provided</Description>
      <LongDescription/>
      <Location>rvctc1.02.20:IncomeTax.MultiClassTreatment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000208" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000208</Code>
      <Description>Number of Separate Classes for Trust is not in a valid numeric format</Description>
      <LongDescription>Number of Separate Classes for Trust must be unsigned, not exceed 7 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.20:IncomeTax.MultiClassTreatment.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.TRTAMI.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000209</Code>
      <Description>Number of Separate Classes for Trust is invalid</Description>
      <LongDescription>When the response to 'Have you chosen to treat separate classes in the trust as a separate AMIT?' is 'True' (yes), the minimum Number of Separate Classes for Trust must be 1</LongDescription>
      <Location>rvctc1.02.20:IncomeTax.MultiClassTreatment.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000210" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000210</Code>
      <Description>'Have you transferred assets between classes during this income year?' must be provided</Description>
      <LongDescription>When the response to 'Have you chosen to treat separate classes in the trust as a separate AMIT?' is 'True' (yes), a response to 'Have you transferred assets between classes during this income year?' must be provided</LongDescription>
      <Location>rvctc1.02.22:IncomeTax.MultiClassTransfer.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000211" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000211</Code>
      <Description>Total Depreciation Deducted for Income Year is not in a valid monetary format</Description>
      <LongDescription>Total Depreciation Deducted for Income Year must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.TRTAMI.000216" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000216</Code>
      <Description>Total Deemed AMIT DIR Payments is not in a valid monetary format</Description>
      <LongDescription>Total Deemed Attribution Managed Investment Trust (AMIT) Dividend, Interest or Royalty (DIR) Payments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.29:Expense.DividendInterestRoyalty.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000217" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000217</Code>
      <Description>Total Deemed Fund Payments is not in a valid monetary format</Description>
      <LongDescription>Total Deemed Fund Payments must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.13:Income.TrustDistributions.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000218" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000218</Code>
      <Description>Total Deductions Claimed for Returns Paid is not in a valid monetary format</Description>
      <LongDescription>Total Deductions Claimed for Returns Paid must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.29:Expense.ReturnsPaidDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000219" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000219</Code>
      <Description>'Is the Attribution Managed Investment Trust (AMIT) Stapled to another Entity?' must be provided</Description>
      <LongDescription/>
      <Location>rvctc1.02.20:IncomeTax.AttributionManagedInvestmentTrustStapledStructure.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000220" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000220</Code>
      <Description>Total Amount of Eligible Investment Business Income is not in a valid monetary format</Description>
      <LongDescription>Total Amount of Eligible Investment Business Income must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.TRTAMI.000221" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000221</Code>
      <Description>'Did the AMIT rely on the 2% Non-EIB Safe Harbour in 102MC during the Income year?' must be provided</Description>
      <LongDescription/>
      <Location>rvctc1.02.20:IncomeTax.EligibleInvestmentBusinessSafeHarbour.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000222" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000222</Code>
      <Description>'Did the AMIT rely on the Rental Safe Harbour rule in 102MB during the Income year?' must be provided</Description>
      <LongDescription/>
      <Location>rvctc1.02.20:IncomeTax.RentalSafeHarbour.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000223" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000223</Code>
      <Description>'Did the AMIT receive Payments from Related Entities during the Income Year?' must be provided</Description>
      <LongDescription/>
      <Location>rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustRelatedEntitiesPayment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.TRTAMI.000224" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000224</Code>
      <Description>Additional Information must not exceed 3000 characters</Description>
      <LongDescription>Additional Information, the maximum allowable characters for this form is 3000</LongDescription>
      <Location>bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000225" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000225</Code>
      <Description>Date of Birth must be provided for individuals</Description>
      <LongDescription />
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000226" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000226</Code>
      <Description>Member Residential Address - Address Line 1 must not exceed 38 characters</Description>
      <LongDescription>For Member Residential Address - Address Line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000227" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000227</Code>
      <Description>Member Residential Address - Address Line 2 must not exceed 38 characters</Description>
      <LongDescription>For Member Residential Address - Address Line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000228" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000228</Code>
      <Description>Member Residential Address - City/Town must not exceed 46 characters</Description>
      <LongDescription>For Member Residential Address - City/Town, the maximum allowable characters for this form is 46</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000230" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000230</Code>
      <Description>Member Business Address - Address Line 1 must not exceed 38 characters</Description>
      <LongDescription>For Member Business Address - Address Line 1, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000231" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000231</Code>
      <Description>Member Business Address - Address Line 2 must not exceed 38 characters</Description>
      <LongDescription>For Member Business Address - Address Line 2, the maximum allowable characters for this form is 38</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000232" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000232</Code>
      <Description>Member Business Address - City/Town must not exceed 46 characters</Description>
      <LongDescription>For Member Business Address - City/Town, the maximum allowable characters for this form is 46</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000238" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000238</Code>
      <Description>Number of Separate Classes for Trust is incorrect</Description>
      <LongDescription>When the response to 'Have you chosen to treat separate classes in the trust as a separate AMIT?' is 'False' (no), the Number of Separate Classes for Trust must be left blank or set to zero</LongDescription>
      <Location>rvctc1.02.20:IncomeTax.MultiClassTreatment.Count</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000241" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000241</Code>
      <Description>Assessment Calculation Code of Member is invalid</Description>
      <LongDescription>For individuals, the only valid Assessment Calculation Code of Member value is "138"</LongDescription>
      <Location>rvctc1.02.21:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000242" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000242</Code>
      <Description>Assessment Calculation Code of Member is invalid</Description>
      <LongDescription>For non-individuals, the valid Assessment Calculation Code of Member values are "139" or "140"</LongDescription>
      <Location>rvctc1.02.21:IncomeTax.AssessmentCalculation.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000249" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000249</Code>
      <Description>Member Residential Address - Address Line 1 must be present for an individual</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000255" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000255</Code>
      <Description>Member Residential Address - Address Line 2 must be provided</Description>
      <LongDescription>When Member Residential Address - Address Line 1 contains 'C/-', Member Residential Address - Address Line 2 must be provided</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000256" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000256</Code>
      <Description>Member Residential Address - City/Town cannot contain state code</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000258" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000258</Code>
      <Description>Member Residential Address - City/Town must be provided for an individual</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000259" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000259</Code>
      <Description>Member Residential Address - City/Town is invalid</Description>
      <LongDescription>When an Australian address is provided, Member Residential Address - City/Town must not contain numeric characters </LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000268" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000268</Code>
      <Description>Member Business Address - Address Line 1 must be present for a non-individual</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000274" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000274</Code>
      <Description>Member Business Address - Address Line 2 must be provided</Description>
      <LongDescription>When Member Business Address - Address Line 1 contains 'C/-', Member Business Address - Address Line 2 must be provided</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000275" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000275</Code>
      <Description>Member Business Address - City/Town cannot contain state code</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000277" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000277</Code>
      <Description>Member Business Address - City/Town must be provided for a non-individual</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000278" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000278</Code>
      <Description>Member Business Address - City/Town is invalid</Description>
      <LongDescription>When an Australian address is provided, Member Business Address - City/Town must not contain numeric characters</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000289" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000289</Code>
      <Description>'Has the Trustee made an election into Managed Investment Trust Capital Account Treatment?' must be provided</Description>
      <LongDescription />
      <Location>rvctc3.02.24:Elections.ManagedInvestmentTrusts.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000290" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000290</Code>
      <Description>'Is the Attribution Managed Investment Trust (AMIT) Stapled to another Entity?' is incorrect</Description>
      <LongDescription>When any Stapled Entity Australian Business Numbers are provided, the response to 'Is the Attribution Managed Investment Trust (AMIT) Stapled to another Entity?' must be set to 'True' (yes)</LongDescription>
      <Location>rvctc1.02.20:IncomeTax.AttributionManagedInvestmentTrustStapledStructure.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000291" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000291</Code>
      <Description>Number of Separate Classes for Trust is invalid</Description>
      <LongDescription>When the response to 'Is the Attribution Managed Investment Trust (AMIT) Stapled to another Entity?' is 'True' (yes), at least one Stapled Entity Australian Business Number must be provided</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000292" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000292</Code>
      <Description>The maximum number of Stapled Entity Australian Business Numbers that may be provided is 10</Description>
      <LongDescription />
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000293" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000293</Code>
      <Description>Stapled Entity Australian Business Number is invalid</Description>
      <LongDescription>The Stapled Entity Australian Business Number has failed the ABN algorithm check</LongDescription>
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000294" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000294</Code>
      <Description>Stapled Entity Australian Business Number must differ from the Trust Australian Business Number</Description>
      <LongDescription />
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000295" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000295</Code>
      <Description>Stapled Entity Australian Business Number must differ from the Trustee Australian Business Number</Description>
      <LongDescription />
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000296" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000296</Code>
      <Description>'Have you self-assessed the effective life of any depreciating assets acquired in the income year?' must be provided</Description>
      <LongDescription />
      <Location>bafpo7.02.22:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000297" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000297</Code>
      <Description>'Did you recalculate the effective life for any of your depreciating assets this income year?' must be provided</Description>
      <LongDescription />
      <Location>bafpo7.02.22:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000298" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000298</Code>
      <Description>Total Division 43 Capital Works Deductions (special building write-off) is not in a valid monetary format</Description>
      <LongDescription>Total Division 43 Capital Works Deductions (special building write-off) must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>bafpr1.02.02:Expense.CapitalWorksDeduction.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000299" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000299</Code>
      <Description>Invalid context. The number of Reporting Party Stapled Entity contexts must not exceed 1.</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000300" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000300</Code>
      <Description>Percentage of Income from things other than an Eligible Investment Business is invalid</Description>
      <LongDescription>For Percentage of Income from things other than an Eligible Investment Business, the valid values are; "0% to 0.5%", "Over 0.5% to 1.0%", "Over 1.0% to 1.5%", "Over 1.5% to 2.0%".</LongDescription>
      <Location>rvctc2.02.19:IncomeTax.Deduction.NonEligibleInvestmentBusinessPercentage.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000301" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000301</Code>
      <Description>'Did the AMIT receive Payments from Related Entities during the Income Year?' is incorrect</Description>
      <LongDescription>When a positive amount is provided for Total Payments Received from Related Entities during the Income Year, the response to 'Did the Attribution Managed Investment Trust (AMIT) receive Payments from Related Entities during the Income Year?' must be set to 'True' (yes)</LongDescription>
      <Location>rvctc1.02.22:IncomeTax.AttributionManagedInvestmentTrustRelatedEntitiesPayment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000302" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000302</Code>
      <Description>Total Payments Received from Related Entities during the Income Year is not in a valid monetary format</Description>
      <LongDescription>Total Payments Received from Related Entities during the Income Year must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</LongDescription>
      <Location>rvctc1.02.24:IncomeTax.RelatedEntitiesPaymentsReceived.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000303" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000303</Code>
      <Description>Total Payments Received from Related Entities during the Income Year is invalid</Description>
      <LongDescription>When the response to 'Did the Attribution Managed Investment Trust (AMIT) receive Payments from Related Entities during the Income Year?' is 'True' (yes), a positive amount for Total Payments Received from Related Entities during the Income Year must be provided.</LongDescription>
      <Location>rvctc1.02.24:IncomeTax.RelatedEntitiesPaymentsReceived.Amount</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000304" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000304</Code>
      <Description>Member Residential Address - Postal/Zip Code must not exceed 12 characters</Description>
      <LongDescription>For Member Residential Address - Postal/Zip Code, the maximum allowable characters for this form is 12</LongDescription>
      <Location>pyde.02.27:AddressDetails.PostalCode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000305" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000305</Code>
      <Description>Member Residential Address - Postal/Zip Code is required for an Australian address</Description>
      <LongDescription>For an Australian address, Member Residential Address - Postal/Zip Code is required for an individual. Determine whether the address is Australian or overseas and correct accordingly.</LongDescription>
      <Location>pyde.02.27:AddressDetails.PostalCode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000306" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000306</Code>
      <Description>Member Residential Address - Postal/Zip Code is invalid</Description>
      <LongDescription>For an Australian address, Member Residential Address - Postal/Zip Code is invalid. Valid range is 0200 - 9999.</LongDescription>
      <Location>pyde.02.27:AddressDetails.PostalCode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000307" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000307</Code>
      <Description>Member Business Address - Postal/Zip Code must not exceed 12 characters</Description>
      <LongDescription>For Member Business Address - Postal/Zip Code, the maximum allowable characters for this form is 12</LongDescription>
      <Location>pyde.02.27:AddressDetails.PostalCode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000308" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000308</Code>
      <Description>Member Business Address - Postal/Zip Code is required for an Australian address</Description>
      <LongDescription>For an Australian address, Member Business Address - Postal/Zip Code is required for a non-individual. Determine whether the address is Australian or overseas and correct accordingly.</LongDescription>
      <Location>pyde.02.27:AddressDetails.PostalCode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000309" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000309</Code>
      <Description>Member Business Address - Postal/Zip Code is invalid</Description>
      <LongDescription>For an Australian address, Member Business Address - Postal/Zip Code is invalid. Valid range is 0200 - 9999.</LongDescription>
      <Location>pyde.02.27:AddressDetails.PostalCode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000310" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000310</Code>
      <Description>Member Residential Address - Postal/Zip Code contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.27:AddressDetails.PostalCode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000311" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000311</Code>
      <Description>Member Business Address - Postal/Zip Code contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.27:AddressDetails.PostalCode.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
















  <diagnostic id="DVR.ATO.GEN.000209" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.001023" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.001023</Code>
      <Description>Unexpected TFN mismatch with Reporting Party</Description>
      <LongDescription>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.010028" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.010028</Code>
      <Description>If the return is an amendment, sequence number, type and reason must be present</Description>
      <LongDescription>If the Amendment Indicator is 'yes' (true), then the Amendment Sequence Number, Amendment Type and Amendment Reason must be present and not blank.</LongDescription>
      <Location>pyin.02.28:Report.Amendment.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.010029" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.010029</Code>
			<Description>If the return is an amendment, Amendment Indicator must be 'yes' (true)</Description>
			<LongDescription>If an Amendment Sequence Number, Amendment Type or Amendment Reason is present, then the Amendment Indicator must be 'yes' (true)</LongDescription>
			<Location>pyin.02.28:Report.Amendment.Indicator</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.010030" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.010030</Code>
			<Description>Amendment sequence number must be a number between 1 and 9</Description>
			<LongDescription/>
			<Location>pyin.02.08:Report.AmendmentSequence.Number</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.428247" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.410009</Code>
			<Description>The Tax Agent number has failed the Tax Agent number algorithm check</Description>
			<LongDescription/>
			<Location>pyid.02.00:Identifiers.TaxAgentNumber.Identifier</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

  <diagnostic id="DVR.ATO.GEN.432035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432035</Code>
      <Description>BSB Number must be six digits and greater than 012000</Description>
      <LongDescription/>
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.430206" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430206</Code>
      <Description>Hours taken to prepare and complete form must be 1 to 999</Description>
      <LongDescription/>
      <Location>pyin.02.23:Report.CompletionHours.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.432041" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432041</Code>
      <Description>Bank account name must not be longer than 32 characters</Description>
      <LongDescription>32 characters is the Banking Standard and set by the Banking Industry</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000515" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000515</Code>
      <Description>Amendment Reason must not exceed 3000 characters</Description>
      <LongDescription>For Amendment Reason, the maximum allowable characters for this form is 3000</LongDescription>
      <Location>pyin.02.08:Report.AmendmentReason.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438029" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438029</Code>
      <Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438045" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438045</Code>
      <Description>Year of return must be supplied</Description>
      <LongDescription/>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.438055" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500127</Code>
      <Description>Year of return is invalid</Description>
      <LongDescription>Year of return must be either the current or next (future) lodgment year associated with this service. If a future year lodgment is required, then it must be lodged no later than the 15th of June of the current year, unless it is an amendment. After the 15th of June, a return for that lodgment year must be submitted from the 1st of July, using the new service associated to that specific lodgment year.</LongDescription>
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500012" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500012</Code>
      <Description>Date of birth must be prior to the form submission start date</Description>
      <LongDescription>The date entered is a future date. Date of birth cannot be any day in advance of the form submission start date.</LongDescription>
      <Location>pyde.02.00:PersonDemographicDetails.Birth.Date</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500030" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500030</Code>
      <Description>Invalid context. Period start date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500033" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500033</Code>
      <Description>Invalid context. Period end date must be the same across all duration contexts.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.GEN.500037" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500037</Code>
			<Description>Declarer Contact Name contains invalid text</Description>
			<LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &#x26; * ( ) - = ; : ' " , . ? / or a space character.</LongDescription>
			<Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.500103" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500103</Code>
      <Description>Invalid context. The number of RP.POS contexts must equal 1.</Description>
		<LongDescription/>
			<Location>xbrli:context</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500046" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500046</Code>
			<Description>Invalid context. The number of RP.TrueAndCorrect contexts must not exceed 1.</Description>
			<LongDescription/>
			<Location>xbrli:context</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500047" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500047</Code>
			<Description>Invalid context. The number of Intermediary.TrueAndCorrect contexts must not exceed 1.</Description>
			<LongDescription/>
			<Location>xbrli:context</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500054" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500054</Code>
			<Description>Intermediary declarer Australian Business Number has failed the algorithm check</Description>
			<LongDescription/>
			<Location>xbrli:context</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500056" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500056</Code>
			<Description>Declarer contact name must be provided</Description>
			<LongDescription/>
			<Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500066" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.430255</Code>
			<Description>Signature date must not be later than today</Description>
			<LongDescription/>
			<Location>pyin.02.29:Declaration.Signature.Date</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500095" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500095</Code>
			<Description>Intermediary Declaration Signatory identifier text must be present</Description>
			<LongDescription/>
			<Location>pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500096" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500096</Code>
			<Description>Declarer Contact Name must not exceed 200 characters</Description>
			<LongDescription>For Declarer contact name, the maximum allowable characters for this form is 200</LongDescription>
			<Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500097" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500097</Code>
			<Description>Client's reference must not exceed 12 characters</Description>
			<LongDescription>For Client's reference, the maximum allowable characters for this form is 12</LongDescription>
			<Location>pyid.02.00:Identifiers.TaxAgentClientReference.Text</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500098" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500098</Code>
			<Description>Client's reference contains invalid text</Description>
			<LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - = [ ] ; : ' " , . ? / or a space character</LongDescription>
			<Location>pyid.02.00:Identifiers.TaxAgentClientReference.Text</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500069" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500069</Code>
			<Description>Declarer identifier contains invalid text</Description>
			<LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &#x26; * ( ) - _ = [ ] ; : ' " , . ? / or a space character.</LongDescription>
			<Location>pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

  <diagnostic id="DVR.ATO.GEN.500057" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500057</Code>
      <Description>Declarer Contact Name cannot contain space hyphen space combinations</Description>
      <LongDescription/>
      <Location>pyde.02.00:PersonUnstructuredName.FullName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500058" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500058</Code>
      <Description>Declarer position must not exceed 50 characters</Description>
      <LongDescription>For Declarer position, the maximum allowable characters for this form is 50</LongDescription>
      <Location>pyde.02.18:PersonNameDetails.Position.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500059" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500059</Code>
      <Description>Declarer Position held of person making the declaration contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.18:PersonNameDetails.Position.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500061" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500061</Code>
      <Description>Telephone number is required, if an area code is provided</Description>
      <LongDescription>Declarer telephone number is required when Declarer telephone area code is provided</LongDescription>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.GEN.500083" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500083</Code>
			<Description>Invalid context. Period start date must be in a valid date format.</Description>
			<LongDescription/>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500084" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500084</Code>
			<Description>Invalid context. Period end date must be in a valid date format.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

	<diagnostic id="DVR.ATO.GEN.500088" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500088</Code>
			<Description>Invalid context. The number of Reporting Party (Instant) contexts must not exceed 1.</Description>
			<LongDescription/>
			<Location>xbrli:context</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

  <diagnostic id="DVR.ATO.GEN.500089" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500089</Code>
      <Description>Entity identifier scheme for Reporting Party (Instant) must be "http://www.ato.gov.au/tfn"</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500090" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500090</Code>
      <Description>Reporting Party (Instant) period date is invalid</Description>
      <LongDescription>Invalid context. Period date of Reporting Party (Instant) must match period start date of Reporting Party.</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500091" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500091</Code>
      <Description>Invalid context. The number of Reporting Party Trustee contexts must not exceed 1.</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500092" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500092</Code>
      <Description>The account period dates must not exceed 23 months for an approved transitional period</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500093" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500093</Code>
      <Description>Date financial year from date must commence on or after 1st January in the previous year</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500094" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500094</Code>
      <Description>Intermediary Declaration Statement Accepted Indicator must be 'TRUE'</Description>
      <LongDescription/>
      <Location>pyin.02.28:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500099" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432032</Code>
      <Description>BSB Number, Account Number and Account Name must all be present</Description>
      <LongDescription>If any EFT details are present, then a BSB number, account number and an account name must all be present. If EFT is not required, then all fields must be blank or not present</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500100" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500100</Code>
      <Description>Reporting Party Declaration Statement Accepted Indicator must be 'TRUE'</Description>
      <LongDescription/>
      <Location>pyin.02.28:Declaration.StatementAccepted.Indicator</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>  

	<diagnostic id="DVR.ATO.GEN.500101" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500101</Code>
			<Description>Reporting Party Declaration Signatory identifier text must be present</Description>
			<LongDescription/>
			<Location>pyin.02.00:Declaration.SignatoryIdentifier.Text</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

	<diagnostic id="DVR.ATO.GEN.500102" xmlns="http://purl.oclc.org/dsdl/schematron">
		<ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
			<Code>CMN.ATO.GEN.500102</Code>
			<Description>The period start date must commence from the first of the month</Description>
      <LongDescription>This is an annual accounting submission. The dates provided should be for your annual accounting period, commencing on the 1st day of the month. For normal balancers, this will be the period 1 July - 30 June.</LongDescription>
			<Location>xbrli:context/xbrli:period/xbrli:startDate</Location>
			<Severity>Error</Severity>
		</ProcessMessage>
	</diagnostic>

  <diagnostic id="DVR.ATO.GEN.500128" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500128</Code>
      <Description>Where either BSB number, account number or account name is provided, all must be present</Description>
      <LongDescription>If any EFT details are present, then a BSB number, account number and an account name must all be present. If EFT is not required, then all fields must be blank or not present.</LongDescription>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <!-- CROSSFORM DIAGNOSTICS-->

  <diagnostic id="DVR.ATO.TRTAMI.000151" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000151</Code>
      <Description>International Dealings Schedule must be attached</Description>
      <LongDescription>An International Dealings Schedule (IDS) must be attached when an Interest Expenses Overseas amount above zero is provided</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000152" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000152</Code>
      <Description>Royalty expenses overseas required</Description>
      <LongDescription>When a Royalties deduction amount above zero is present on the International Dealings Schedule (IDS), a Royalty Expenses Overseas amount above zero must also be provided</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000153" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000153</Code>
      <Description>Royalties deductions incorrect</Description>
      <LongDescription>When a Royalties deduction amount is present on the International Dealings Schedule (IDS), it must not exceed the Royalty Expenses Overseas amount</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000154" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000154</Code>
      <Description>International Dealings Schedule must be attached</Description>
      <LongDescription>An International Dealings Schedule (IDS) must be attached when a Royalty Expenses Overseas amount above zero is provided</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000174" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000174</Code>
      <Description>At least one Trust Attribution Managed Investments Schedule must be present</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000203" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000203</Code>
      <Description>The number of PAYG Payment Summary Schedules must not exceed 1</Description>
      <LongDescription/>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  

  <diagnostic id="DVR.ATO.TRTAMI.000199" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000199</Code>
      <Description>International Dealings Schedule is not required</Description>
      <LongDescription>When the value of dealings with international related parties was not above $2 million, thin capitalisation provisions did not affect you, and no amounts have been provided at Interest expenses overseas and Royalty expenses overseas, an International Dealings schedule must not be attached</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000201" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000201</Code>
      <Description>The number of International Dealings Schedules must not exceed 1</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000205" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000205</Code>
      <Description>'Transactions with specified countries question incorrect</Description>
      <LongDescription>When the response to 'Did you have dealings with international related parties located in specified countries?' on the International Dealings Schedule (IDS) is 'True' (yes), the response at either 'Funds or property, whether directly or indirectly, have been sent to, or received from, any of the specified countries', or 'Trustee has the ability or expectation to control, whether directly or indirectly, the disposition of any funds, property, assets or investments located in, or located elsewhere but controlled or managed from any of the specified countries', must also be 'True' (yes)</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000234" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000234</Code>
      <Description>Name of AMIT Class for TRTAMIS schedule is invalid</Description>
      <LongDescription>When multiple Trust Attribution Managed Investments Schedules (TRTAMIS) are provided, a unique Name of AMIT Class must be provided for each</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000235" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000235</Code>
      <Description>Name of AMIT Class for CGT schedule is invalid</Description>
      <LongDescription>When multiple Capital Gains Tax (CGT) schedules are provided, a unique Name of AMIT Class must be provided for each</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000236" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000236</Code>
      <Description>'Have you chosen to treat separate classes in the trust as a separate AMIT?' response is incorrect</Description>
      <LongDescription>When multiple Trust Attribution Managed Investments Schedules (TRTAMIS) are provided, the response to 'Have you chosen to treat separate classes in the trust as a separate AMIT?' must be 'True' (yes)</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.TRTAMI.000237" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000237</Code>
      <Description>Name of AMIT Class must be provided for each TRTAMIS schedule</Description>
      <LongDescription>When the response to 'Have you chosen to treat separate classes in the trust as a separate AMIT?' is 'True' (yes), the Name of AMIT Class must be provided for each Trust Attribution Managed Investments Schedule (TRTAMIS)</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000240" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000240</Code>
      <Description>Name of AMIT Class for CGT schedule is invalid</Description>
      <LongDescription>Name of AMIT Class provided on each Capital Gains Tax (CGT) schedule, must have a matching Trust Attribution Managed Investments Schedule (TRTAMIS)</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000243" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000243</Code>
      <Description>Name of AMIT Class must be provided for each CGT schedule</Description>
      <LongDescription>When the response to 'Have you chosen to treat separate classes in the trust as a separate AMIT?' is 'True' (yes), the Name of AMIT Class must be provided for each Capital Gains Tax (CGT) schedule</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000244" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000244</Code>
      <Description>'Have you chosen to treat separate classes in the trust as a separate AMIT?' response is incorrect</Description>
      <LongDescription>When the Name of AMIT Class has been provided for any Trust Attribution Managed Investments Schedule (TRTAMIS), the response to 'Have you chosen to treat separate classes in the trust as a separate AMIT?' must be 'True' (yes)</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000245" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000245</Code>
      <Description>Total capital gains/losses from transfers to other classes amounts must not be provided in CGT schedule</Description>
      <LongDescription>When the response to 'Have you chosen to treat separate classes in the trust as a separate AMIT?' is 'False' (no), the Total capital gains/losses from transfers to other classes amounts for the Capital Gains Tax (CGT) schedule must not be provided</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>



  <diagnostic id="DVR.ATO.TRTAMI.000246" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000246</Code>
      <Description>International Dealings Schedule (IDS) must be attached</Description>
      <LongDescription>When the value of dealings with international related parties was above $2 million, the International Dealings Schedule (IDS) must be attached</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>



  <diagnostic id="DVR.ATO.GEN.402009" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402009</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription>Your supplied TFN does not match the TFN supplied on the parent form it was submitted with</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  
  <diagnostic id="DVR.ATO.GEN.438000" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438000</Code>
      <Description>The context period start date is incorrect.</Description>
      <LongDescription>Period start date within context on the schedule must match period start date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438001</Code>
      <Description>The context period end date is incorrect.</Description>
      <LongDescription>Period end date within context on the schedule must match period end date within the parent return reporting party context</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.438017" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.438017</Code>
      <Description>International Dealings Schedule not attached</Description>
      <LongDescription>If the thin capitalisation rules apply  then International Dealings Schedule must be attached</LongDescription>
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMIS.000001" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMIS.000001</Code>
      <Description>The Target Financial Year must match the Year shown on the parent form.</Description>
      <LongDescription />
      <Location>pyin.02.00:Report.TargetFinancial.Year</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.402010" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.402010</Code>
      <Description>Your supplied ABN does not match the ABN supplied on the form it was submitted with</Description>
      <LongDescription />
      <Location>pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000283" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000283</Code>
      <Description>Current Postal Address of Trust - Suburb/Town contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000284" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000284</Code>
      <Description>Previous Postal Address of Trust - Suburb/Town contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000287" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000287</Code>
      <Description>Additional Information contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>bafot.02.00:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000247" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000247</Code>
      <Description>Member Residential Address - Address Line 1 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000248" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000248</Code>
      <Description>Member Residential Address - Address Line 1 must not contain 'AS ABOVE'</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000250" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000250</Code>
      <Description>Member Residential Address - Address Line 1 is invalid</Description>
      <LongDescription>Member Residential Address - Address Line 1 contains incorrect 'care of' reference. The only acceptable 'care of' reference is C/-.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000251" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000251</Code>
      <Description>Member Residential Address - Address Line 1 cannot contain "UNKNOWN"</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000252" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000252</Code>
      <Description>Member Residential Address - Address Line 2 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000253" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000253</Code>
      <Description>'Care of' is not valid for Member Residential Address - Address Line 2</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000254" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000254</Code>
      <Description>Member Residential Address - Address Line 2 cannot contain "UNKNOWN"</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000285" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000285</Code>
      <Description>Member Residential Address - City/Town contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000257" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000257</Code>
      <Description>Member Residential Address - City/Town cannot contain "UNKNOWN"</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000266" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000266</Code>
      <Description>Member Business Address - Address Line 1 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000267" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000267</Code>
      <Description>Member Business Address - Address Line 1 must not contain 'AS ABOVE'</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000269" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000269</Code>
      <Description>Member Business Address - Address Line 1 is invalid</Description>
      <LongDescription>Member Business Address - Address Line 1 contains incorrect 'care of' reference. The only acceptable 'care of' reference is C/-.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000270" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000270</Code>
      <Description>Member Business Address - Address Line 1 cannot contain "UNKNOWN"</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line1.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000271" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000271</Code>
      <Description>Member Business Address - Address Line 2 contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000272" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000272</Code>
      <Description>'Care of' is not valid for Member Business Address - Address Line 2</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000273" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000273</Code>
      <Description>Member Business Address - Address Line 2 cannot contain "UNKNOWN"</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.Line2.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000286" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000286</Code>
      <Description>Member Business Address - City/Town contains invalid text</Description>
      <LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</LongDescription>
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000276" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000276</Code>
      <Description>Member Business Address - City/Town cannot contain "UNKNOWN"</Description>
      <LongDescription />
      <Location>pyde.02.00:AddressDetails.LocalityName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000264" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000264</Code>
      <Description>Invalid context. The number of Residential contexts per Reporting Party Statement of Attribution context must not exceed 1.</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.TRTAMI.000265" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.TRTAMI.000265</Code>
      <Description>Invalid context. The number of Business contexts per Reporting Party Statement of Attribution context must not exceed 1.</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PSS.000036" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000036</Code>
      <Description>Your supplied TFN does not match the TFN supplied on the form it was submitted with</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.PSS.000035" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.PSS.000035</Code>
      <Description>Payment Type not applicable to Non-individual income tax return</Description>
      <LongDescription />
      <Location>xbrli:context</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

</diagnostics>
