﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldLengths" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Field Length Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">



    <!-- Rule ID: VR.ATO.TRTAMIS.000532

        IF LENGTH([TRTAMIS313]) > 200
          RETURN VALIDATION MESSAGE
        ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000532" diagnostics="DVR.ATO.TRTAMIS.000532"
        test="not(
              $trtamis313[string-length(.) &gt; 200]
					)" />




    <!-- Rule ID: CMN.ATO.TRTAMIS.000436

		IF [TRTAMIS260] <> NULL AND [TRTAMIS260] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000436" diagnostics="DVR.ATO.TRTAMIS.000436"
        test="not(
						$trtamis260[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000437

		IF [TRTAMIS261] <> NULL AND [TRTAMIS261] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000437" diagnostics="DVR.ATO.TRTAMIS.000437"
        test="not(
						$trtamis261[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000438

		IF [TRTAMIS262] <> NULL AND [TRTAMIS262] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000438" diagnostics="DVR.ATO.TRTAMIS.000438"
        test="not(
						$trtamis262[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000439

		IF [TRTAMIS314] <> NULL AND [TRTAMIS314] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000439" diagnostics="DVR.ATO.TRTAMIS.000439"
        test="not(
						$trtamis314[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000440

		IF [TRTAMIS315] <> NULL AND [TRTAMIS315] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000440" diagnostics="DVR.ATO.TRTAMIS.000440"
        test="not(
						$trtamis315[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000441

		IF [TRTAMIS316] <> NULL AND [TRTAMIS316] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000441" diagnostics="DVR.ATO.TRTAMIS.000441"
        test="not(
						$trtamis316[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
 
    
    <!-- Rule ID: CMN.ATO.TRTAMIS.000527

		IF [TRTAMIS265] <> NULL AND [TRTAMIS265] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000527" diagnostics="DVR.ATO.TRTAMIS.000527"
        test="not(
						$trtamis265[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000528

		IF [TRTAMIS266] <> NULL AND [TRTAMIS266] <> MONETARY(U,11,0)
     RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000528" diagnostics="DVR.ATO.TRTAMIS.000528"
        test="not(
						$trtamis266[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />


    <!-- Rule ID: CMN.ATO.TRTAMIS.000461

		IF [TRTAMIS285] <> NULL AND [TRTAMIS285] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000461" diagnostics="DVR.ATO.TRTAMIS.000461"
        test="not(
						$trtamis285[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    
     <!-- Rule ID: CMN.ATO.TRTAMIS.000467

		IF [TRTAMIS295] <> NULL AND [TRTAMIS295] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000467" diagnostics="DVR.ATO.TRTAMIS.000467"
        test="not(
						$trtamis295[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
 
    <!-- Rule ID: CMN.ATO.TRTAMIS.000468

		IF [TRTAMIS296] <> NULL AND [TRTAMIS296] <> MONETARY(U,11,0)
     RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000468" diagnostics="DVR.ATO.TRTAMIS.000468"
        test="not(
						$trtamis296[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000469

		IF [TRTAMIS297] <> NULL AND [TRTAMIS297] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000469" diagnostics="DVR.ATO.TRTAMIS.000469"
        test="not(
						$trtamis297[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

    <!-- Rule ID: CMN.ATO.TRTAMIS.000472

		IF [TRTAMIS300] <> NULL AND [TRTAMIS300] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000472" diagnostics="DVR.ATO.TRTAMIS.000472"
        test="not(
						$trtamis300[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
  
    <!-- Rule ID: CMN.ATO.TRTAMIS.000480

		IF [TRTAMIS309] <> NULL AND [TRTAMIS309] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000480" diagnostics="DVR.ATO.TRTAMIS.000480"
        test="not(
						$trtamis309[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000513

		IF [TRTAMIS318] <> NULL AND [TRTAMIS318] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000513" diagnostics="DVR.ATO.TRTAMIS.000513"
        test="not(
						$trtamis318[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000514

		IF [TRTAMIS319] <> NULL AND [TRTAMIS319] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000514" diagnostics="DVR.ATO.TRTAMIS.000514"
        test="not(
						$trtamis319[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000515

		IF [TRTAMIS320] <> NULL AND [TRTAMIS320] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000515" diagnostics="DVR.ATO.TRTAMIS.000515"
        test="not(
						$trtamis320[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000516

		IF [TRTAMIS321] <> NULL AND [TRTAMIS321] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000516" diagnostics="DVR.ATO.TRTAMIS.000516"
        test="not(
						$trtamis321[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000517

		IF [TRTAMIS322] <> NULL AND [TRTAMIS322] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000517" diagnostics="DVR.ATO.TRTAMIS.000517"
        test="not(
						$trtamis322[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000481

		IF [TRTAMIS310] <> NULL AND [TRTAMIS310] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000481" diagnostics="DVR.ATO.TRTAMIS.000481"
        test="not(
						$trtamis310[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />
    <!-- Rule ID: CMN.ATO.TRTAMIS.000482

		IF [TRTAMIS311] <> NULL AND [TRTAMIS311] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

	-->
    <assert id="VR.ATO.TRTAMIS.000482" diagnostics="DVR.ATO.TRTAMIS.000482"
        test="not(
						$trtamis311[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />


    <!-- Rule ID: VR.ATO.TRTAMIS.000471

    IF [TRTAMIS299] <> NULL AND [TRTAMIS299] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	  -->
    <assert id="VR.ATO.TRTAMIS.000471" diagnostics="DVR.ATO.TRTAMIS.000471"
        test="not(
						$trtamis299[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

    <!-- Rule ID: CMN.ATO.TRTAMIS.000601

		IF [TRTAMIS332] <> NULL AND [TRTAMIS332] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

	  -->
    <assert id="VR.ATO.TRTAMIS.000601" diagnostics="DVR.ATO.TRTAMIS.000601"
        test="not(
						$trtamis332[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

    <!-- Rule ID: CMN.ATO.TRTAMIS.000604

		IF [TRTAMIS324] <> NULL AND [TRTAMIS324] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

  	-->
    <assert id="VR.ATO.TRTAMIS.000604" diagnostics="DVR.ATO.TRTAMIS.000604"
        test="not(
					$trtamis324[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

    <!-- Rule ID: CMN.ATO.TRTAMIS.000605

		IF [TRTAMIS325] <> NULL AND [TRTAMIS325] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

  	-->
    <assert id="VR.ATO.TRTAMIS.000605" diagnostics="DVR.ATO.TRTAMIS.000605"
        test="not(
					$trtamis325[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

    <!-- Rule ID: CMN.ATO.TRTAMIS.000606

		IF [TRTAMIS326] <> NULL AND [TRTAMIS326] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

  	-->
    <assert id="VR.ATO.TRTAMIS.000606" diagnostics="DVR.ATO.TRTAMIS.000606"
        test="not(
					$trtamis326[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

    <!-- Rule ID: CMN.ATO.TRTAMIS.000607

		IF [TRTAMIS327] <> NULL AND [TRTAMIS327] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

  	-->
    <assert id="VR.ATO.TRTAMIS.000607" diagnostics="DVR.ATO.TRTAMIS.000607"
        test="not(
					$trtamis327[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

    <!-- Rule ID: CMN.ATO.TRTAMIS.000608

		IF [TRTAMIS328] <> NULL AND [TRTAMIS328] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

  	-->
    <assert id="VR.ATO.TRTAMIS.000608" diagnostics="DVR.ATO.TRTAMIS.000608"
        test="not(
					$trtamis328[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

    <!-- Rule ID: CMN.ATO.TRTAMIS.000609

		IF [TRTAMIS329] <> NULL AND [TRTAMIS329] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

  	-->
    <assert id="VR.ATO.TRTAMIS.000609" diagnostics="DVR.ATO.TRTAMIS.000609"
        test="not(
					$trtamis329[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

    <!-- Rule ID: CMN.ATO.TRTAMIS.000610

		IF [TRTAMIS330] <> NULL AND [TRTAMIS330] <> MONETARY(U,11,0)
       RETURN VALIDATION MESSAGE
    ENDIF

  	-->
    <assert id="VR.ATO.TRTAMIS.000610" diagnostics="DVR.ATO.TRTAMIS.000610"
        test="not(
					$trtamis330[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

    <!-- Rule ID: CMN.ATO.TRTAMIS.000611

		IF [TRTAMIS331] <> NULL AND [TRTAMIS331] <> MONETARY(U,11,0)
      RETURN VALIDATION MESSAGE
    ENDIF

  	-->
    <assert id="VR.ATO.TRTAMIS.000611" diagnostics="DVR.ATO.TRTAMIS.000611"
        test="not(
					$trtamis331[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^[0-9]{1,11}$'))]
					)" />

  </rule>
  
  
  
  

</pattern>